Index: /trunk/admin/photos_add.php
===================================================================
--- /trunk/admin/photos_add.php	(revision 13450)
+++ /trunk/admin/photos_add.php	(revision 13451)
@@ -54,9 +54,9 @@
   array(
     'code' => 'direct',
-    'label' => l10n('Upload Photos'),
+    'label' => l10n('Web Form'),
     ),
   array(
-    'code' => 'ploader',
-    'label' => l10n('Piwigo Uploader'),
+    'code' => 'applications',
+    'label' => l10n('Applications'),
     ),
   );
Index: /trunk/admin/photos_add_applications.php
===================================================================
--- /trunk/admin/photos_add_applications.php	(revision 13451)
+++ /trunk/admin/photos_add_applications.php	(revision 13451)
@@ -0,0 +1,45 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010      Pierrick LE GALL             http://piwigo.org |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHOTOS_ADD_BASE_URL'))
+{
+  die ("Hacking attempt!");
+}
+
+// +-----------------------------------------------------------------------+
+// |                             template init                             |
+// +-----------------------------------------------------------------------+
+
+$template->assign(
+    array(
+      'URL_DOWNLOAD_WINDOWS' => $conf['ploader_download_windows'],
+      'URL_DOWNLOAD_MAC' => $conf['ploader_download_mac'],
+      'URL_DOWNLOAD_LINUX' => $conf['ploader_download_linux'],
+    )
+  );
+
+
+// +-----------------------------------------------------------------------+
+// |                           sending html code                           |
+// +-----------------------------------------------------------------------+
+
+$template->assign_var_from_handle('ADMIN_CONTENT', 'photos_add');
+?>
Index: unk/admin/photos_add_ploader.php
===================================================================
--- /trunk/admin/photos_add_ploader.php	(revision 13450)
+++ 	(revision )
@@ -1,45 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2010      Pierrick LE GALL             http://piwigo.org |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-if (!defined('PHOTOS_ADD_BASE_URL'))
-{
-  die ("Hacking attempt!");
-}
-
-// +-----------------------------------------------------------------------+
-// |                             template init                             |
-// +-----------------------------------------------------------------------+
-
-$template->assign(
-    array(
-      'URL_DOWNLOAD_WINDOWS' => $conf['ploader_download_windows'],
-      'URL_DOWNLOAD_MAC' => $conf['ploader_download_mac'],
-      'URL_DOWNLOAD_LINUX' => $conf['ploader_download_linux'],
-    )
-  );
-
-
-// +-----------------------------------------------------------------------+
-// |                           sending html code                           |
-// +-----------------------------------------------------------------------+
-
-$template->assign_var_from_handle('ADMIN_CONTENT', 'photos_add');
-?>
Index: /trunk/admin/themes/default/template/photos_add_applications.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_applications.tpl	(revision 13451)
+++ /trunk/admin/themes/default/template/photos_add_applications.tpl	(revision 13451)
@@ -0,0 +1,105 @@
+{include file='include/colorbox.inc.tpl'}
+
+{footer_script}{literal}
+jQuery().ready(function(){
+  jQuery(".illustration a").colorbox({rel:'group1'});
+});
+{/literal}{/footer_script}
+
+{html_head}{literal}
+<style type="text/css">
+.illustration {float:left; margin-right:10px;}
+fieldset p {text-align:left;margin-top:0}
+</style>
+{/literal}{/html_head}
+
+<div class="titrePage">
+  <h2>{'Upload Photos'|@translate} {$TABSHEET_TITLE}</h2>
+</div>
+
+<fieldset>
+  <legend>pLoader</legend>
+
+<div class="illustration"><a href="http://piwigo.org/ext/upload/extension-270/screenshot.jpg" title="pLoader"><img src="http://piwigo.org/ext/upload/extension-270/thumbnail.jpg"></a></div>
+<p>{'pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'|@translate}</p>
+
+<p>Available versions for
+<a href="{$URL_DOWNLOAD_WINDOWS}">Windows</a>,
+<a href="{$URL_DOWNLOAD_MAC}">Mac</a>,
+<a href="{$URL_DOWNLOAD_LINUX}">Linux</a>
+</p>
+
+</fieldset>
+
+<fieldset>
+  <legend>Piwigo Mobile</legend>
+
+<div class="illustration"><a href="http://piwigo.com/blog/wp-content/uploads/2011/10/piwigo-ios-iphone-ipad.jpg" title="Piwigo Mobile for iOS and Android"><img src="http://piwigo.com/blog/wp-content/uploads/2011/10/piwigo-ios-iphone-ipad.jpg" style="width:150px"></a></div>
+<p>{'<em>Piwigo Mobile</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or Android, create some albums and upload several photos at once.'|@translate}</p>
+
+<p>
+Available on <a target="_blank" href="http://itunes.apple.com/us/app/piwigo/id472225196">Apple AppStore</a>
+and <a target="_blank" href="https://market.android.com/details?id=org.piwigo">Android market</a>
+</p>
+</fieldset>
+
+<fieldset>
+  <legend>Lightroom</legend>
+
+<div class="illustration"><a href="http://alloyphoto.com/images/piwigo/dialog.png" title="Piwigo Publish plugin for Lightroom"><img src="http://alloyphoto.com/images/piwigo/dialog.png" style="width:150px"></a></div>
+<p>Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work. The Piwigo publish Plug-in allows you to export photos from Lightroom directly to your Piwigo photo gallery.</p>
+
+<p>
+Details and download on <a target="_blank" href="http://alloyphoto.com/plugins/piwigo/">alloyphoto.com</a>
+</p>
+</fieldset>
+
+<fieldset>
+  <legend>Shotwell</legend>
+
+<div class="illustration"><a href="http://piwigo.files.wordpress.com/2010/11/shotwell_002.png" title="Piwigo publish plugin for Shotwell"><img src="http://piwigo.files.wordpress.com/2010/11/shotwell_002.png?w=150"></a></div>
+<p><a href="http://yorba.org/shotwell/" target="_blank">Shotwell</a> is a digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.</p>
+
+<p>On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.</p>
+</fieldset>
+
+<fieldset>
+  <legend>digiKam</legend>
+<div class="illustration"><a href="http://fr.piwigo.org/forum/showimage.php?pid=133064&filename=digikam2piwigo-01.png" title="Piwigo publish plugin for digiKam"><img src="http://fr.piwigo.org/forum/showimage.php?pid=133064&filename=digikam2piwigo-01.png" style="width:150px"></a></div>
+<p><a href="http://digikam.org/" target="_blank">digiKam</a> is an advanced digital photo management application for Linux, Windows, and Mac-OSX.</p>
+
+<p>To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.</p>
+</fieldset>
+
+<fieldset>
+  <legend>iPhoto</legend>
+
+<div class="illustration"><a href="http://piwigo.org/forum/showimage.php?pid=126856&filename=iphoto-to-piwigo.jpg" title="Piwigo export plugin for iPhoto"><img src="http://piwigo.org/forum/showimage.php?pid=126856&filename=iphoto-to-piwigo.jpg" style="width:150px"></a></div>
+<p>iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.</p>
+
+<p>
+<a target="_blank" href="http://piwigo.org/ext/extension_view.php?eid=592">Details and download</a>
+</p>
+</fieldset>
+
+<fieldset>
+  <legend>Aperture</legend>
+
+<div class="illustration"><a href="http://piwigo.org/ext/upload/extension-598/screenshot.jpg" title="Piwigo export plugin for Aperture"><img src="http://piwigo.org/ext/upload/extension-598/thumbnail.jpg" style="width:150px"></a></div>
+<p>Aperture is a powerful tool to refine images and manage massive libraries on your Mac. It's pro performance with iPhoto simplicity. The Piwigo export plugin allows you to create albums and export photos.</p>
+
+<p>
+<a target="_blank" href="http://piwigo.org/ext/extension_view.php?eid=598">Details and download</a>
+</p>
+</fieldset>
+
+<fieldset>
+  <legend>ReGalAndroid</legend>
+
+<div class="illustration"><a href="http://piwigo.org/screenshots/regalandroid.png" title="ReGalAndroid"><img src="http://piwigo.org/screenshots/regalandroid.png" style="width:150px"></a></div>
+<p>ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform. Features include gallery browsing, album creation and photo upload.</p>
+
+<p>
+Details and download on <a target="_blank" href="http://market.android.com/details?id=net.dahanne.android.regalandroid">Android Market</a>
+</p>
+</fieldset>
Index: /trunk/admin/themes/default/template/photos_add_direct.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 13450)
+++ /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 13451)
@@ -219,5 +219,5 @@
 
 <div class="titrePage">
-  <h2>{'Upload Photos'|@translate}</h2>
+  <h2>{'Upload Photos'|@translate} {$TABSHEET_TITLE}</h2>
 </div>
 
Index: /trunk/admin/themes/default/template/photos_add_ftp.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_ftp.tpl	(revision 13450)
+++ /trunk/admin/themes/default/template/photos_add_ftp.tpl	(revision 13451)
@@ -1,9 +1,9 @@
 <div class="titrePage">
-  <h2>{'FTP + Synchronization'|@translate}</h2>
+  <h2>{'Upload Photos'|@translate} {$TABSHEET_TITLE}</h2>
 </div>
 
-<a href="{$U_CAT_UPDATE}">{'Administration'|@translate} &raquo; {'Tools'|@translate} &raquo; {'Synchronize'|@translate}</a>
+<div id="ftpPage">
+<p><a href="{$U_CAT_UPDATE}">{'Administration'|@translate} &raquo; {'Tools'|@translate} &raquo; {'Synchronize'|@translate}</a></p>
 
-<div id="ftpPage">
 {$FTP_HELP_CONTENT}
 </div>
Index: unk/admin/themes/default/template/photos_add_ploader.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_ploader.tpl	(revision 13450)
+++ 	(revision )
@@ -1,88 +1,0 @@
-{footer_script}{literal}
-jQuery().ready(function(){
-  jQuery("#pLoaderPage  img").fadeTo("fast", 0.6);
-
-  jQuery("#pLoaderPage  img").hover(
-    function(){
-      jQuery(this).fadeTo("fast", 1.0); // Opacity on hover
-    },
-    function(){
-      jQuery(this).fadeTo("fast", 0.6); // Opacity on mouseout
-    }
-  );
-});
-{/literal}{/footer_script}
-
-{html_head}{literal}
-<style type="text/css">
-#pLoaderPage {
-  width:600px;
-  margin:0 auto;
-  font-size:1.1em;
-}
-
-#pLoaderPage P {
-  text-align:left;
-}
-
-#pLoaderPage .downloads {
-  margin:10px auto 0 auto;
-}
-
-#pLoaderPage .downloads A {
-  display:block;
-  width:150px;
-  text-align:center;
-  font-size:16px;
-  font-weight:bold;
-}
-
-#pLoaderPage .downloads A:hover {
-  border:none;
-}
-
-#pLoaderPage LI {
-  margin:20px;
-}
-</style>
-{/literal}{/html_head}
-
-<div class="titrePage">
-  <h2>{'Piwigo Uploader'|@translate}</h2>
-</div>
-
-<div id="pLoaderPage">
-<p>{'pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'|@translate}</p>
-
-<ol>
-  <li>
-    {'Download,'|@translate}
-
-<table class="downloads">
-  <tr>
-    <td>
-      <a href="{$URL_DOWNLOAD_WINDOWS}">
-        <img src="http://piwigo.org/screenshots/windows.png" alt="windows">
-        <br>Windows
-      </a>
-    <td>
-    <td>
-      <a href="{$URL_DOWNLOAD_MAC}">
-        <img src="http://piwigo.org/screenshots/mac.png" alt="mac">
-        <br>Mac
-      </a>
-    <td>
-    <td>
-      <a href="{$URL_DOWNLOAD_LINUX}">
-        <img src="http://piwigo.org/screenshots/linux.png" alt="linux">
-        <br>Linux
-      </a>
-    <td>
-  </tr>
-</table>
-
-  </li>
-  <li>{'Install on your computer,'|@translate}</li>
-  <li>{'Start pLoader and add your photos.'|@translate}</li>
-</ol>
-</div>
Index: /trunk/admin/themes/default/theme.css
===================================================================
--- /trunk/admin/themes/default/theme.css	(revision 13450)
+++ /trunk/admin/themes/default/theme.css	(revision 13451)
@@ -1080,2 +1080,5 @@
 #autoOrder p, #createAlbum p {text-align:left; margin:0 0 1em 0;}
 #autoOrder p.actionButtons, #createAlbum p.actionButtons {margin-bottom:0;}
+
+#ftpPage p {text-align:left;margin:1em;}
+#ftpPage fieldset p {margin:0;}
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 13450)
+++ /trunk/language/en_UK/admin.lang.php	(revision 13451)
@@ -853,3 +853,5 @@
 $lang['Cancel'] = 'Cancel';
 $lang['List'] = 'List';
+$lang['Web Form'] = 'Web Form';
+$lang['Applications'] = 'Applications';
 ?>
Index: /trunk/language/en_UK/help/photos_add_ftp.html
===================================================================
--- /trunk/language/en_UK/help/photos_add_ftp.html	(revision 13450)
+++ /trunk/language/en_UK/help/photos_add_ftp.html	(revision 13451)
@@ -9,10 +9,8 @@
   <li>With a FTP client, copy your directory in the "galleries" directory of your Piwigo installation.</li>
 
-  <li>Logon your gallery and go to <span class="pwgScreen">Administration &raquo; Tools &raquo; Thumbnails</span> to create missing thumbnails.</li>
-
-  <li>Go to <span class="pwgScreen">Administration</span> and click on the big Synchronization button.</li>
+  <li>Logon your gallery and go to <span class="pwgScreen">Administration</span> and click on the big Synchronization button.</li>
 </ol>
 
-Congratulations! You have successfully created the first album of your photo gallery.
+<p>Congratulations! You have successfully created the first album of your photo gallery.</p>
 </fieldset>
 
@@ -29,43 +27,26 @@
 
     <pre>
-.
-|-- admin
-|-- doc
-|-- galleries
-|   |-- album-1
-|   |   |-- album-1.1
-|   |   |   |-- album-1.1.1
-|   |   |   |   |-- album-1.1.1.1
-|   |   |   |   |   |-- pwg_high
-|   |   |   |   |   |   +-- wedding.jpg
-|   |   |   |   |   |-- thumbnail
-|   |   |   |   |   |   +-- TN-wedding.jpg
-|   |   |   |   |   +-- wedding.jpg
-|   |   |   |   +-- album-1.1.1.2
-|   |   |   +-- album-1.1.2
-|   |   |-- album-1.2
-|   |   |   |-- pookie.jpg
-|   |   |   +-- thumbnail
-|   |   |       +-- TN-pookie.jpg
-|   |   +-- album-1.3
-|   +-- album-2
-|       |-- piglet.gif
-|       |-- pwg_representative
-|       |   +-- video.jpg
-|       |-- thumbnail
-|       |   +-- TN-piglet.jpg
-|       +-- video.avi
-|-- include
-|-- install
-|-- language
-|-- local
-|-- plugins
-|-- template-extension
-|-- themes
-+-- tool</pre>
+galleries
+|-- wedding
+|   |-- celebration
+|   |   |-- arrival
+|   |   |   |-- paul-alone.jpg
+|   |   |   +-- sarah-alone.jpg
+|   |   +-- departure
+|   |       +-- paul-and-sarah.jpg
+|   +-- party
+|       |-- dancers001.jpg
+|       |-- dancers002.jpg
+|       +-- dancers003.jpg
++-- honeymoon
+    |-- hotel.png
+    |-- video-from-plane.avi
+    +-- pwg_representative
+        +-- video-from-plane.jpg
+</pre>
 
   </li>
 
-  <li>Except for those named "thumbnail", "pwg_high" or "pwg_representative" (see explanations below), each directory under "galleries" produces a album. There is no limit on deepness.</li>
+  <li>Except for "pwg_representative" (see explanations below), each directory under "galleries" produces a album. There is no limit on deepness.</li>
 
   <li>Basically, an element is represented by a file. A file can be a
@@ -76,10 +57,4 @@
   configuration parameter possibilities.</li>
 
-  <li>Photo elements must have an associated thumbnail (see section below
-  about thumbnails)</li>
-
-  <li>Photo elements can have a high quality file associated. As for
-  wedding.jpg in the example above. No prefix on the high quality picture.</li>
-
   <li>No photo elements (video, sounds, file texts, whatever you want...) are represented by default by an icon corresponding to the filename
   extension. Optionally, you can associate a thumbnail and a representative
@@ -88,5 +63,5 @@
   <li><em>Warning</em>: the name of directories and files must contain only letters, figures, "-", "_" or ".". No blank space, nor accentuated characters.</li>
 
-  <li>Once files, thumbnails and representatives are correctly placed in the
+  <li>Once photos are correctly placed in the
   directories, go to: <span class="pwgScreen">Administration &raquo; Tools &raquo;
   Synchronize</span></li>
@@ -94,22 +69,2 @@
 </ul>
 </fieldset>
-
-<fieldset>
-  <legend>Thumbnails</legend>
-<ul>
-
-  <li>Each photo must have its thumbnail.</li>
-
-  <li>Thumbnails are stored in the "thumbnail" sub-directory of the album
-  directory. The thumbnail has the same filename as the corresponding photo, with configuration parameter <code>prefix_thumbnail</code> as prefix (see <span class="filename">include/config.inc.php</span>).</li>
-
-  <li>Thumbnails files have not necessary the same extension as the associated image (eg a ".jpg" image may have a ".GIF" extension).</li>
-
-  <li>It is recommended to use an external module for thumbnails creation.</li>
-
-  <li>The usage of the thumbnails creation tool integrated in Piwigo is not advisable, because the resulting quality might be disappointing and this will lie heavily on the server ressources (and that could be a serious problem on a shared server).
-
-  <li>If you choose to use the webserver to generate thumbnails, you must allow write access on all albums directories.</li>
-
-</ul>
-</fieldset>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 13450)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 13451)
@@ -854,3 +854,5 @@
 $lang['Cancel'] = 'Annuler';
 $lang['List'] = 'Liste';
+$lang['Web Form'] = 'Formulaire web';
+$lang['Applications'] = 'Applications';
 ?>
Index: /trunk/language/fr_FR/help/photos_add_ftp.html
===================================================================
--- /trunk/language/fr_FR/help/photos_add_ftp.html	(revision 13450)
+++ /trunk/language/fr_FR/help/photos_add_ftp.html	(revision 13451)
@@ -5,11 +5,9 @@
   <li>Créez un répertoire sur votre ordinateur.</li>
 
-  <li>Copiez des photos à l'intérieur de ce répertoire, puis redimensionnez-les pour un affichage sur le web. <em>Attention</em> : le nom des répertoires et des fichiers ne doit contenir que des lettres, des chiffres et les caractères  "-", "_" ou ".". Pas d'espace ou de caractères accentués.</li>
+  <li>Copiez des photos à l'intérieur de ce répertoire. <em>Attention</em> : le nom des répertoires et des fichiers ne doit contenir que des lettres, des chiffres et les caractères  "-", "_" ou ".". Pas d'espace ou de caractères accentués.</li>
 
   <li>Avec un client FTP, copiez le répertoire dans le répertoire "galleries" de votre installation de Piwigo.</li>
 
-  <li>Connectez-vous à votre galerie Piwigo et rendez-vous sur <span class="pwgScreen">Administration &raquo; Outils &raquo; Miniatures</span> pour créer les miniatures manquantes.</li>
-
-  <li>Rendez-vous sur <span class="pwgScreen">Administration</span> et cliquez sur le gros bouton de synchronisation.</li>
+  <li>Connectez-vous à votre galerie Piwigo, rendez-vous sur <span class="pwgScreen">Administration</span> et cliquez sur le gros bouton de synchronisation.</li>
 </ol>
 
@@ -28,43 +26,27 @@
   
 <pre>
-.
-|-- admin
-|-- doc
-|-- galleries
-|   |-- album-1
-|   |   |-- album-1.1
-|   |   |   |-- album-1.1.1
-|   |   |   |   |-- album-1.1.1.1
-|   |   |   |   |   |-- pwg_high
-|   |   |   |   |   |   +-- mariage.jpg
-|   |   |   |   |   |-- thumbnail
-|   |   |   |   |   |   +-- TN-mariage.jpg
-|   |   |   |   |   +-- mariage.jpg
-|   |   |   |   +-- album-1.1.1.2
-|   |   |   +-- album-1.1.2
-|   |   |-- album-1.2
-|   |   |   |-- pookie.jpg
-|   |   |   +-- thumbnail
-|   |   |       +-- TN-pookie.jpg
-|   |   +-- album-1.3
-|   +-- album-2
-|       |-- porcinet.gif
-|       |-- pwg_representative
-|       |   +-- video.jpg
-|       |-- thumbnail
-|       |   +-- TN-porcinet.jpg
-|       +-- video.avi
-|-- include
-|-- install
-|-- language
-|-- local
-|-- plugins
-|-- template-extension
-|-- themes
-+-- tool</pre>
+galleries
+|-- mariage
+|   |-- ceremonie
+|   |   |-- entree
+|   |   |   |-- arrivee-de-paul.jpg
+|   |   |   +-- arrivee-de-virginie.jpg
+|   |   +-- sortie
+|   |       |-- sortie-enfants-honneur.jpg
+|   |       +-- sortie-de-paul-et-virginie.jpg
+|   +-- cocktail
+|       |-- discours001.jpg
+|       |-- discours002.jpg
+|       +-- discours003.jpg
++-- voyage-de-noces
+    |-- hotel.png
+    |-- video-decollage-avion.avi
+    +-- pwg_representative
+        +-- video-decollage-avion.jpg
+</pre>
 
   </li>
   
-  <li>A l'exception de ceux appelés "thumbnail", "pwg_high" ou "pwg_representative" (voir explications ci-dessous), chaque répertoire dans "galleries" génère un album. Le nombre de niveaux (profondeur) n'est pas limité.</li>
+  <li>A l'exception de celui appelé "pwg_representative", chaque répertoire dans "galleries" génère un album. Le nombre de niveaux (profondeur) n'est pas limité.</li>
 
   <li>Fondamentalement, une photo est représentée par un fichier. Pour Piwigo, un fichier peut être une photo si son extension figure dans la liste du paramètre de configuration <code>file_ext</code> (voir
@@ -73,17 +55,9 @@
 <code>picture_ext</code>.</li>
 
-  <li>Les éléments de type photo doivent avoir une miniature associée (voir la
-section suivante à propos des miniatures).</li>
-
-  <li>Les éléments de type photo peuvent avoir une photo en grand format
-associé. Comme pour le fichier <span class="filename">mariage.jpg</span>
-dans l'exemple ci-dessus. Aucun préfixe n'est nécessaire sur le nom du
-fichier.</li>
-
   <li>Les éléments autres que les photos (vidéos, sons, fichiers texte, tout ce que vous
 voulez...) sont représentés par défaut par une icône correspondant à
-l'extension du nom du fichier. Optionnellement, une miniature et un
-représentant peuvent être associés (voir le fichier <span
-class="filename">video.avi</span> dans l'exemple).</li>
+l'extension du nom du fichier. Optionnellement, un
+représentant peut être associé (voir le fichier <span
+class="filename">video-decollage-avion.avi</span> dans l'exemple).</li>
 
   <li><em>Attention</em> : le nom d'un répertoire ou d'un fichier ne doit
@@ -96,5 +70,5 @@
 des sous-album.</li>
 
-  <li>Une fois que les fichiers, les miniatures et les représentants sont
+  <li>Une fois que les fichiers sont
 correctement placés dans les répertoires, se rendre sur l'écran <span
 class="pwgScreen">Administration &raquo; Outils &raquo; Synchroniser</span>.</li>
@@ -103,36 +77,2 @@
 
 </fieldset>
-
-<fieldset>
-  <legend>Miniatures</legend>
-
-<ul>
-  
-  <li>Comme mentionné précédemment, chaque élément de type photo doit être
-associé à une miniature.</li>
-
-  <li>Les miniatures sont stockées dans le sous-répertoire "thumbnail" de
-chaque répertoire représentant un album. Une miniature est un fichier
-de type photo (même extension du nom du fichier) dont le nom de fichier est
-préfixé par le paramètre de configuration <code>prefix_thumbnail</code>
-(voir <span class="filename">include/config.inc.php</span>).</li>
-
-  <li>Les miniatures n'ont pas besoin d'avoir la même extension que leur
-photo associée (une photo avec ".jpg" comme extension peut avoir une
-miniature en ".GIF" par exemple).</li>
-
-  <li>Il est conseillé d'utiliser un outil externe pour la création des
-miniatures.</li>
-
-  <li>Vous pouvez également utiliser l'outil de création de miniatures
-intégré à Piwigo mais cela est déconseillé car la qualité risque
-d'être décevante et cela utilise inutilement les ressources du serveur (ce
-qui peut être un grave problème sur un serveur mutualisé).</li>
-
-  <li>Si vous choisissez d'utiliser le serveur web pour générer les
-miniatures, vous devez donner les droits en écriture sur les
-répertoires.</li>
-
-</ul>
-
-</fieldset>