Index: /trunk/themes/clear/theme.css
===================================================================
--- /trunk/themes/clear/theme.css	(revision 13473)
+++ /trunk/themes/clear/theme.css	(revision 13474)
@@ -15,10 +15,10 @@
 }
 
-#menubar DL, .content, #imageToolBar, #derivativeSwitchLink, #derivativeSwitchBox, #sortOrderBox, .header_notes {
+#menubar DL, .content, #imageToolBar, #derivativeSwitchBox, #sortOrderBox, .header_notes {
   background-color: #eeeeee;
 }
 
 /* borders */
-#menubar DL, .content, #imageToolBar, #derivativeSwitchLink, #derivativeSwitchBox, #sortOrderBox {
+#menubar DL, .content, #imageToolBar, #derivativeSwitchBox, #sortOrderBox {
   border: 1px solid #d3d3d3;
 }
Index: /trunk/themes/dark/theme.css
===================================================================
--- /trunk/themes/dark/theme.css	(revision 13473)
+++ /trunk/themes/dark/theme.css	(revision 13474)
@@ -18,5 +18,5 @@
 }
 
-#menubar DL, .content, #imageToolBar, #imageHeaderBar, #derivativeSwitchLink, #derivativeSwitchBox, #sortOrderBox, .header_notes {
+#menubar DL, .content, #imageToolBar, #imageHeaderBar, #derivativeSwitchBox, #sortOrderBox, .header_notes {
 	background-color: #505050;
 }
@@ -31,5 +31,5 @@
 
 /* borders */
-#menubar DL, .content, #derivativeSwitchLink, #derivativeSwitchBox, #sortOrderBox{
+#menubar DL, .content, #derivativeSwitchBox, #sortOrderBox{
 	border: 1px solid #000;
 }
Index: /trunk/themes/default/template/picture.tpl
===================================================================
--- /trunk/themes/default/template/picture.tpl	(revision 13473)
+++ /trunk/themes/default/template/picture.tpl	(revision 13474)
@@ -2,8 +2,6 @@
 {include file='include/autosize.inc.tpl'}
 *}
-{if isset($MENUBAR)}
-{$MENUBAR}
-<div id="content" class="contentWithMenu">
-{/if}
+{if isset($MENUBAR)}{$MENUBAR}{/if}
+<div id="content" {if isset($MENUBAR)}class="contentWithMenu"{/if}>
 {if isset($errors) or not empty($infos)}
 {include file='infos_errors.tpl'}
@@ -13,5 +11,5 @@
 <div id="imageHeaderBar">
 	<div class="browsePath">
-		{$SECTION_TITLE} {$LEVEL_SEPARATOR} <h2>{$current.TITLE}</h2>
+		{$SECTION_TITLE}<span class="browsePathSeparator">{$LEVEL_SEPARATOR}</span><h2>{$current.TITLE}</h2>
 	</div>
 	<div class="imageNumber">{$PHOTO}</div>
@@ -20,4 +18,49 @@
 <div id="imageToolBar">
 <div class="actionButtons">
+
+{if count($current.unique_derivatives)>1}
+{footer_script}{literal}
+function changeImgSrc(url,typeSave,typeMap,typeDisplay)
+{
+	var theImg = document.getElementById("theMainImage");
+	if (theImg)
+	{
+		theImg.removeAttribute("width");theImg.removeAttribute("height");
+		theImg.src = url;
+		var elt = document.getElementById("derivativeSwitchLink");
+		if (elt) elt.innerHTML = typeDisplay;
+		theImg.useMap = "#map"+typeMap;
+	}
+	document.cookie = 'picture_deriv='+typeSave+';path={/literal}{$COOKIE_PATH}{literal}';
+}
+
+function toggleDerivativeSwitchBox()
+{
+	var elt = document.getElementById("derivativeSwitchBox"),
+		ePos = document.getElementById("derivativeSwitchLink");
+	if (elt.style.display==="none")
+	{
+		elt.style.position = "absolute";
+		elt.style.left = (ePos.offsetLeft+10)+"px";
+		elt.style.top = (ePos.offsetTop+ePos.offsetHeight)+"px";
+		elt.style.display="";
+	}
+	else
+		elt.style.display="none";
+}
+{/literal}{/footer_script}
+{strip}<a id="derivativeSwitchLink" href="javascript:toggleDerivativeSwitchBox()" title="{'Photo sizes'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+<span class="pwg-icon pwg-icon-sizes">&nbsp;</span><span class="pwg-button-text">{'Photo sizes'|@translate}</span></a>
+<div id="derivativeSwitchBox" onclick="toggleDerivativeSwitchBox()" style="display:none">
+{foreach from=$current.unique_derivatives item=derivative key=derivative_type}
+<a href="javascript:changeImgSrc('{$derivative->get_url()|@escape:javascript}','{$derivative_type}','{$derivative->get_type()}','{$derivative->get_type()|@translate|@escape:javascript}')">{$derivative->get_type()|@translate} ({$derivative->get_size_hr()})</a><br>
+{/foreach}
+{if isset($U_ORIGINAL)}
+<a href="javascript:phpWGOpenWindow('{$U_ORIGINAL}','xxx','scrollbars=yes,toolbar=no,status=no,resizable=yes')" rel="nofollow">{'Original'|@translate}</a>
+{/if}
+</div>
+{/strip}{/if}
+
+
 {strip}{if isset($U_SLIDESHOW_START)}
 	<a href="{$U_SLIDESHOW_START}" title="{'slideshow'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
@@ -76,4 +119,5 @@
 </div>{*<!-- imageToolBar -->*}
 
+<div id="theImageAndInfos">
 <div id="theImage">
 {$ELEMENT_CONTENT}
@@ -269,4 +313,5 @@
 {/if}
 </div>
+</div>
 
 {if isset($COMMENT_COUNT)}
@@ -274,7 +319,9 @@
 	{if $COMMENT_COUNT > 0}
 		<h3>{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</h3>
-	{if $COMMENT_COUNT > 2}
-		<a href="{$COMMENTS_ORDER_URL}#comments" rel="nofollow">{$COMMENTS_ORDER_TITLE}</a>
-	{/if}
+		{if $COMMENT_COUNT > 2}
+			<a href="{$COMMENTS_ORDER_URL}#comments" rel="nofollow">{$COMMENTS_ORDER_TITLE}</a>
+		{/if}
+	{else}
+		<h3 class="noCommentText">{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</h3>
 	{/if}
 	{if !empty($navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
Index: /trunk/themes/default/template/picture_content.tpl
===================================================================
--- /trunk/themes/default/template/picture_content.tpl	(revision 13473)
+++ /trunk/themes/default/template/picture_content.tpl	(revision 13474)
@@ -3,45 +3,4 @@
 	title="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}" {else} title="{$current.TITLE|@replace:'"':' '} - {$ALT_IMG}"
 {/if}>
-{if count($current.unique_derivatives)>1}
-{footer_script}{literal}
-function changeImgSrc(url,typeSave,typeMap,typeDisplay)
-{
-	var theImg = document.getElementById("theMainImage");
-	if (theImg)
-	{
-		theImg.removeAttribute("width");theImg.removeAttribute("height");
-		theImg.src = url;
-		var elt = document.getElementById("derivativeSwitchLink");
-		if (elt) elt.innerHTML = typeDisplay;
-		theImg.useMap = "#map"+typeMap;
-	}
-	document.cookie = 'picture_deriv='+typeSave+';path={/literal}{$COOKIE_PATH}{literal}';
-}
-
-function toggleDerivativeSwitchBox()
-{
-	var elt = document.getElementById("derivativeSwitchBox"),
-		ePos = document.getElementById("derivativeSwitchLink");
-	if (elt.style.display==="none")
-	{
-		elt.style.position = "absolute";
-		elt.style.left = (ePos.offsetLeft+10)+"px";
-		elt.style.top = (ePos.offsetTop+ePos.offsetHeight)+"px";
-		elt.style.display="";
-	}
-	else
-		elt.style.display="none";
-}
-{/literal}{/footer_script}
-<a id="derivativeSwitchLink" href="javascript:toggleDerivativeSwitchBox()">{$current.selected_derivative->get_type()|@translate}</a>
-<div id="derivativeSwitchBox" onclick="toggleDerivativeSwitchBox()" style="display:none">
-{foreach from=$current.unique_derivatives item=derivative key=derivative_type}
-<a href="javascript:changeImgSrc('{$derivative->get_url()|@escape:javascript}','{$derivative_type}','{$derivative->get_type()}','{$derivative->get_type()|@translate|@escape:javascript}')">{$derivative->get_type()|@translate} ({$derivative->get_size_hr()})</a><br>
-{/foreach}
-{if isset($U_ORIGINAL)}
-<a href="javascript:phpWGOpenWindow('{$U_ORIGINAL}','xxx','scrollbars=yes,toolbar=no,status=no,resizable=yes')" rel="nofollow">{'Original'|@translate}</a>
-{/if}
-</div>
-{/if}
 
 {foreach from=$current.unique_derivatives item=derivative key=derivative_type}{strip}
Index: /trunk/themes/default/template/slideshow.tpl
===================================================================
--- /trunk/themes/default/template/slideshow.tpl	(revision 13473)
+++ /trunk/themes/default/template/slideshow.tpl	(revision 13474)
@@ -13,4 +13,5 @@
 </div>
 
+<div id="content">
 <div id="theImage">
   {$ELEMENT_CONTENT}
@@ -19,2 +20,3 @@
   {/if}
 </div>
+</div>
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 13473)
+++ /trunk/themes/default/theme.css	(revision 13474)
@@ -341,12 +341,4 @@
 #imageToolBar .pwg-button {width:42px;}
 
-
-#derivativeSwitchLink {
-	padding: 0.2em;
-	position: absolute;
-	left: 5px;
-	top: 12%;
-}
-
 #derivativeSwitchBox, #sortOrderBox {
 	padding: 0.5em 1em;
@@ -421,4 +413,5 @@
 }
 
+.noCommentText {display:none;}
 
 /**
Index: /trunk/themes/elegant/theme.css
===================================================================
--- /trunk/themes/elegant/theme.css	(revision 13473)
+++ /trunk/themes/elegant/theme.css	(revision 13474)
@@ -14,5 +14,5 @@
 	height:33px;
 	cursor:pointer;
-	margin: 26px 0 0 -33px;
+	margin: 28px 0 0 -35px;
 }
 
@@ -27,5 +27,5 @@
 #menuswitcher.menuhidden {
 	width:25px;
-	margin: 28px 0 0 0;
+	margin-left:0;
 }
 
@@ -40,4 +40,5 @@
 	border-bottom: 2px solid #444;
 	margin-bottom: 4px;
+	padding-bottom: 4px;
 }
 
@@ -45,7 +46,6 @@
 	background-color: #111;
 	border-bottom: 2px solid #444;
-	height: 28px;
 	padding:0;
-	margin-bottom:8px;
+	margin-bottom:4px;
 }
 
@@ -92,5 +92,5 @@
 
 
-#imageToolBar, #imageHeaderBar, #derivativeSwitchLink, #derivativeSwitchBox, #sortOrderBox, .header_notes {
+#imageToolBar, #imageHeaderBar, #derivativeSwitchBox, #sortOrderBox, .header_notes {
 	background-color: #505050;
 }
@@ -105,5 +105,5 @@
 
 /* borders */
-#derivativeSwitchLink, #derivativeSwitchBox, #sortOrderBox{
+#derivativeSwitchBox, #sortOrderBox{
 	border: 1px solid #000;
 }
@@ -131,10 +131,9 @@
 #theImage, #imageInfos, #comments {background:#222;}
 #theImage {padding-top:10px;}
-#imageHeaderBar  { height:28px;}
 #imageHeaderBar .browsePath {display:inline-block; float:none; font-size:120%; line-height:20px; padding: 8px 0 0 2px; font-weight:bold; margin:0;}
 #imageHeaderBar .imageNumber {display:inline-block; float:none; line-height:20px; padding: 8px 0 0 12px; font-weight:bold; margin:0;}
 #imageHeaderBar .imageNumber:before {content:'['}
 #imageHeaderBar .imageNumber:after {content:']'}
-#imageHeaderBar h2 {display:none;}
+#imageHeaderBar h2 {font-size:100%;}
 #thePicturePage .pwg-button {width:26px;}
 #thePicturePage .actionButtons {margin-right: 26px;}
@@ -143,9 +142,21 @@
 #thePicturePage #comments {padding-top:12px; padding-bottom:12px;}
 #thePicturePage #comments fieldset{margin-top: 0; margin-bottom:0;}
-#copyright {padding-top:4px; text-align:right;}
+.noCommentText {display:block;}
+#copyright {padding:4px 4px 0 0; text-align:right;}
 
+#thePicturePage .comments_toggle_on:before {content:'(+) '}
+#thePicturePage .comments_toggle_off:before {content:'(-) '}
 
+.comments_hidden ul, .comments_hidden form {display:none;}
 .thumbnailCategory {background-color: #303030;}
+.comments_toggle {cursor: pointer;}
+.comments_toggle:hover {color:#fff;}
+
 #the_page .content .stuffs {margin:0!important}
+
+#thumbnails  {padding-top: 5px;}
+
+INPUT[type="text"], INPUT[type="password"], INPUT[type="button"], INPUT[type="submit"], INPUT[type="reset"], INPUT[type="file"] {background-color:#999;}
+INPUT:focus, SELECT:focus, TEXTAREA:focus {background-color:#ccc;}
 
 /* links */