Index: /trunk/language/sh_RS/common.lang.php
===================================================================
--- /trunk/language/sh_RS/common.lang.php	(revision 13493)
+++ /trunk/language/sh_RS/common.lang.php	(revision 13494)
@@ -36,5 +36,4 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times)'] = '%.2f (ocenjeno %d puta)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d album updated'] = '%d kategorija obnovljena';
@@ -57,5 +56,4 @@
 $lang['At least one listed rule must be satisfied.'] = 'Najmanje jedno od navedenih pravila mora biti zadovoljeno.';
 $lang['Author'] = 'Autor';
-$lang['Average rate'] = 'Prosečna ocena';
 $lang['Albums'] = 'Kategorije';
 $lang['Album'] = 'Kategorija';
@@ -101,5 +99,4 @@
 $lang['Quick connect'] = 'Brza veza';
 $lang['RSS feed'] = 'RSS izvor';
-$lang['Rate'] = 'Ocena';
 $lang['Register'] = 'Upišite se';
 $lang['Registration'] = 'Registracija';
@@ -125,5 +122,4 @@
 $lang['About Piwigo'] = 'O Piwigo-u';
 $lang['You are not authorized to access the requested page'] = 'Niste ovlašteni za pristup zatraženoj stranici';
-$lang['Add to caddie'] = 'dodaj u fioku';
 $lang['add this photo to your favorites'] = 'dodaj ovu sliku u omiljene';
 $lang['Administration'] = 'Administracija';
@@ -284,5 +280,5 @@
 $lang['Thumbnails'] = 'Sličice';
 $lang['Menu'] = 'Izbornik';
-$lang['A comment on your site'] = 'Komentar na Vašem web mestu';
+$lang['A comment on your site'] = 'Komentar na Vašem sajtu';
 $lang['today'] = 'danas';
 $lang['Update your rating'] = 'Obnovite svoju ocenu';
@@ -344,3 +340,50 @@
 $lang['This author removed the comment with id %d'] = 'Ovaj autor je uklonio komentar sa identifikacijom %d';
 $lang['html tags are not allowed in login'] = 'html oznake nisu dozvoljene prilikom logovanja';
+$lang['%d rates'] = '%d ocene';
+$lang['Change my password'] = 'Promena lozinke';
+$lang['Check your email for the confirmation link'] = 'Proverite da li vam je stigao email sa potvrdnim linkom';
+$lang['Desktop'] = 'Stoni';
+$lang['Edit'] = 'Uređivanje';
+$lang['Enter your new password below.'] = 'Unesite novu lozinku.';
+$lang['EXIF Metadata'] = 'EXIF Metapodatak';
+$lang['Hello %s,'] = 'Zdravo %s,';
+$lang['Here are your connection settings'] = 'Ovde su vaša podešavanja veze';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Ukoliko je greška, samo ignorišite ovaj email i ništa se neće desiti.';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Ako mislite da ste greškom dobili ovaj email, molimo da nas kontaktirate na %s';
+$lang['Invalid key'] = 'Neispravan ključ';
+$lang['Invalid username or email'] = 'Neispravno korisničko ime ili email';
+$lang['IPTC Metadata'] = 'IPTC Metapodatak';
+$lang['large'] = 'Veliko';
+$lang['medium'] = 'Srednje';
+$lang['Mobile'] = 'Mobilni';
+$lang['Original'] = 'Original';
+$lang['Password reset is not allowed for this user'] = 'Reset lozinke nije dozvoljen za ovog korisnika';
+$lang['Password Reset'] = 'Reset lozinke';
+$lang['Password: %s'] = 'Lozinka: %s';
+$lang['Photo sizes'] = 'Veličine fotografija';
+$lang['Please enter your username or email address.'] = 'Unesite Vaše korisničko ime ili email adresu.';
+$lang['Rating score'] = 'Rezultat ocenjivanja';
+$lang['Return to home page'] = 'Povratak na početnu stranu';
+$lang['Send my connection settings by email'] = 'Pošalji moja podešavanja veze email-om';
+$lang['Show latest comments first'] = 'Prikaži prvo poslednje komentare';
+$lang['Show oldest comments first'] = 'Prikaži prvo najstarije komentare';
+$lang['small'] = 'Malo';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Neko je zatražio reset lozinke korisnika';
+$lang['square'] = 'Kvadrat';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Uspešno ste se registrovali, uskoro ćete dobiti email sa podešavanjima veze. Dobrodošli!';
+$lang['Thank you for registering at %s!'] = 'Hvala na registrovavnju za %s!';
+$lang['The passwords do not match'] = 'Lozinke se ne poklapaju';
+$lang['thumb'] = 'Palac';
+$lang['To reset your password, visit the following address:'] = 'Da biste resetovali lozinku, posetite sledeću adresu:';
+$lang['User "%s" has no email address, password reset is not possible'] = 'Korisnik "%s" nema email adresu, reset lozinke nije moguć';
+$lang['Username "%s" on gallery %s'] = 'Korisničko ime "%s" u galeriji %s';
+$lang['Username modification'] = 'Promena korisničkog imena';
+$lang['Username or email'] = 'Korisničko ime ili email';
+$lang['Username: %s'] = 'Korisničko ime: %s';
+$lang['View in'] = 'Pogled u';
+$lang['xlarge'] = 'Ekstra veliko';
+$lang['xxlarge'] = 'Ekstra ekstra veliko';
+$lang['You will receive a link to create a new password via email.'] = 'Dobićete email-om link za kreiranje nove lozinke.';
+$lang['Your password has been reset'] = 'Vaša lozinka je resetovana';
+$lang['Your username has been successfully changed to : %s'] = 'Vaše korisničko ime je uspešno promenjeno na: %s';
 ?>