Index: /trunk/language/sh_RS/admin.lang.php
===================================================================
--- /trunk/language/sh_RS/admin.lang.php	(revision 13495)
+++ /trunk/language/sh_RS/admin.lang.php	(revision 13496)
@@ -67,5 +67,4 @@
 $lang['Database'] = 'Baza podataka';
 $lang['Deactivate'] = 'Isključi';
-$lang['Delete Representant'] = 'Izbriši Predstavnika';
 $lang['Delete selected tags'] = 'Izbriši odabrane oznake';
 $lang['Delete selected users'] = 'Izbriši odabrane korisnike';
@@ -173,5 +172,4 @@
 $lang['You cannot move an album in its own sub album'] = 'Ne možete premestiti kategoriju u njenu podkategoriju';
 $lang['You need to confirm deletion'] = 'Potvrdi brisanje';
-$lang['add tags'] = 'dodaj oznake';
 $lang['Associate to album'] = 'poveži sa kategorijom';
 $lang['associate to group'] = 'poveži sa grupom';
@@ -221,6 +219,4 @@
 $lang['manage sub-albums'] = 'upravljanje podkategorijama';
 $lang['Manage'] = 'Upravljaj';
-$lang['maximum height'] = 'najveća visina';
-$lang['maximum width'] = 'najveća širina';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Vreme izvršenja je isteklo, obrada se mora nastaviti [Procenjeno vreme: %d sekunde].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Vreme izvršenja je isteklo, obrada se mora nastaviti [Procenjeno vreme: %d sekundi].';
@@ -302,10 +298,5 @@
 $lang['registration date'] = 'datum upisa';
 $lang['clean'] = 'čisto';
-$lang['remove remote listing.xml file'] = 'ukloni udaljenu listing.xml datoteku';
-$lang['generate listing'] = 'napravi listu';
-$lang['generate file listing.xml on remote site'] = 'napravi listing.xml datoteku na udaljenoj stranici';
 $lang['Create this site'] = 'Napravi ovu stranicu';
-$lang['A local listing.xml file has been found for'] = 'Lokalna listing.xml datoteka je pronađena za ';
-$lang['read local listing.xml and update'] = 'čitam lokalni listing.xml i obnavljam';
 $lang['test'] = 'proba';
 $lang['test this remote site'] = 'isprobajte ovo udaljenu stranicu';
@@ -321,5 +312,4 @@
 $lang['delete this site and all its attached elements'] = 'obriši ovu stranicu i sve njene pridodate stavke';
 $lang['an error happened'] = 'došlo je do greške';
-$lang['file create_listing_file.php on remote site was not found'] = 'datoteka create_listing_file.php na udaljenoj stranici nije pronađen';
 $lang['Local'] = 'Lokalno';
 $lang['Remote'] = 'Udaljeno';
@@ -338,20 +328,13 @@
 $lang['User list'] = 'Lista korisnika';
 $lang['Edit photo information'] = 'Promena podataka o slici';
-$lang['Thumbnail creation'] = 'Izrada poveznih sličica';
 $lang['Database synchronization with files'] = 'Sinhronizacija baze podataka sa datotekama';
 $lang['all'] = 'sve';
-$lang['photos without thumbnail (jpeg and png only)'] = 'slike bez poveznih sličica (samo jpeg i png)';
 $lang['height must be a number superior to'] = 'visina mora biti broj veći od ';
 $lang['width must be a number superior to'] = 'širina mora biti broj veći od';
 $lang['for the file format'] = 'za datotečni oblik';
-$lang['No missing thumbnail'] = 'Nema nedostajućih poveznih sličica';
 $lang['Photo unreachable or no support'] = 'Slika nedostupna ili bez podrške';
 $lang['GD version'] = 'GD verzija';
-$lang['generated in'] = 'izrađena u';
-$lang['Results of miniaturization'] = 'rezultati umanjivanja';
 $lang['General statistics'] = 'Glavna statistika';
-$lang['max time'] = 'najduže vreme';
 $lang['average time'] = 'prosečno vreme';
-$lang['min time'] = 'najkraće vreme';
 $lang['number of miniaturized photos'] = 'broj umanjenih slika';
 $lang['total time'] = 'ukupno vreme';
@@ -366,8 +349,4 @@
 $lang['Choose an option'] = 'Izaberite mogućnost';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'najopširniji mogući prikaz podataka (dodate kategorije i elementi, izbrisane  kategorije i elementi)';
-$lang['Piwigo version differs on the remote site'] = 'Piwigo inačica na udaljenom mjestu se razlikuje';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Verzija create_listing_file.php na udaljenoj stranici i Piwigo-u mora biti jednaka';
-$lang['listing.xml file was not found'] = 'listing.xml datoteka nije pronađena';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'listing.xml datoteka nije pronađena na udaljenoj stranici. Ova datoteka se izrađuje odabirom "izradi listu" komande u Kontroli stranice';
 $lang['Error list'] = 'Lista grešaka ';
 $lang['Errors caption'] = 'Zaglavlja grešaka';
@@ -375,6 +354,4 @@
 $lang['File/directory read error'] = 'Greška čitanja datoteke/direktorijuma';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Datoteci ili direktorijumu se ne može pristupiti (ne postoji ili je pristup zabranjen)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Ova datoteka zahtjeva poveznu sličicu. Povezna sličica mora biti prisutna u poddirektorijumu "thumbnail" direktorijuma kategorije. Naziv povezne sličice mora počinjati sa podrazumevanim predznakom i nastavak mora biti jedan od popisanih :';
-$lang['missing thumbnail'] = 'nedostajuće povezne sličice';
 $lang['albums deleted in the database'] = 'kategorije izbrisane iz baze podataka';
 $lang['photos deleted from the database'] = 'elementi izbrisani iz baze podataka';
@@ -412,5 +389,4 @@
 $lang['Toggle \'default group\' property'] = 'Promeni \'podrazumevana grupa\' osobine';
 $lang['Advanced features'] = 'Napredne mogućnosti';
-$lang['Specials'] = 'Posebnosti';
 $lang['Overall'] = 'Sveukupno';
 $lang['Year'] = 'Godina';
@@ -422,8 +398,4 @@
 $lang['Element'] = 'Element';
 $lang['Section'] = 'Sekcija';
-$lang['Tags'] = 'Oznake';
-$lang['Save page visits by guests'] = 'Sačuvaj posete gostiju stranicama';
-$lang['Save page visits by users'] = 'Sačuvaj posete korisnika stranicama';
-$lang['Save page visits by administrators'] = 'Sačuvaj posete administratora stranicama';
 $lang['An information email was sent to group "%s"'] = 'E-mail poruka obaveštenja je poslata grupi "%s';
 $lang['Send an information email to group members'] = 'Pošalji e-mail obaveštenja članovima grupe';
@@ -447,5 +419,4 @@
 $lang['guest'] = 'gost';
 $lang['default values'] = 'podrazumevane vrednosti';
-$lang['High filesize'] = 'Visoka veličina datoteke';
 // --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Guest cannot be deleted'] = 'Gost ne može biti izbrisan';
@@ -511,5 +482,4 @@
 $lang['Are you sure you want to install this plugin?'] = 'Sigurno želite instalirati ovaj dodatak?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Sigurno želite instalirati ovaj dodatak? Morate potvrditi da ova prečica ne treba uklanjanje.';
-$lang['%s has been successfully upgraded.'] = '%s je uspešno nadograđen.';
 $lang['Plugin has been successfully copied'] = 'Dodatak je uspješno iskopiran';
 $lang['You might go to plugin list to install and activate it.'] = 'Možete ići na listu datoteka za instalaciju i pokretanje.';
@@ -646,5 +616,4 @@
 $lang['Activate Navigation Thumbnails'] = 'Aktiviraj povezne sličice za navigaciju';
 $lang['Activate icon "%s"'] = 'Aktiviiraj ikonu "%s"';
-$lang['Activate field "%s"'] = 'Aktiviraj polje "%s"';
 $lang['Photo Properties'] = 'Osobine slike';
 $lang['Allow user customization'] = 'Dozvoli podešavanja korisniku';
@@ -687,3 +656,64 @@
  $lang['Order of menubar items has been updated successfully.'] = ' Poredak elemenata u izborniku je uspešno ažuriran.';
 $lang['Menu Management'] = 'Izbornik';
+$lang['%d of %d photos selected'] = '%d od %d fotografija odabrano';
+$lang['%s has been successfully updated.'] = '%s je uspešno ažiran';
+$lang['(this tag will be deleted)'] = '(ova oznaka će biti obrisana)';
+$lang['... or '] = '... ili';
+$lang['Action'] = 'Akcija';
+$lang['Activate comments'] = 'Aktivira komentare';
+$lang['Activate icon "new" next to albums and pictures'] = 'Aktivira ikonicu "novo" pored albuma i slika';
+$lang['Add a criteria'] = 'Dodaj kriterijum';
+$lang['Add a filter'] = 'Dodaj filter';
+$lang['Add tags'] = 'Dodaj oznake';
+$lang['Add to caddie'] = 'Dodaj u fioku';
+$lang['Album photos associated to the following albums: %s'] = 'Fotografije albuma povezane sa sledećim albumima: %s';
+$lang['Albums automatically sorted'] = 'Albumi automatski poređani';
+$lang['All %d photos are selected'] = 'Svih %d fotografija je odabrano';
+$lang['All extensions are up to date.'] = 'Sve ekstenzije su ažurne.';
+$lang['All languages are up to date.'] = 'Svi jezici su ažurni.';
+$lang['All plugins are up to date.'] = 'Svi plaginovi su ažurni.';
+$lang['All themes are up to date.'] = 'Sve teme su ažurne.';
+$lang['Allowed file types: %s.'] = 'Dozvoljeni tipovi fajlova: %s';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Dogodila se greška u toku raspakivanja. Molimo proverite dozvole na fajlovima Vaše piwigo instalacije.
+<br><a href="%s">Kliknite ovde da biste videli zapis greške</a>.';
+$lang['An error has occured during upgrade.'] = 'Dogodila se greška u toku nadgradnje.';
+$lang['Apply action'] = 'Primeni akciju';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Približna maksimalna rezolucija: %dM piksela (odnosno %dx%d piksela)';
+$lang['automatic order'] = 'automatski poredak';
+$lang['Average rate'] = 'Prosečna ocena';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Podrazumevano, Piwigo će kreirati novu veličinu prilagođenu web-u od HD verzije (visoke definicije) Vaše fotografije';
+$lang['Choose an action'] = 'Izaberi akciju';
+$lang['Confirm merge'] = 'Potvrdi pripajanje';
+$lang['Create'] = 'Kreiraj';
+$lang['Crop'] = 'Iseci';
+$lang['Deactivate all'] = 'Isključi sve';
+$lang['Default comments order'] = 'Podrazumevani poredak komentara';
+$lang['Default photos order'] = 'Podrazumevani poredak fotografija';
+$lang['Delete orphan tags'] = 'Obriši napuštene oznake';
+$lang['delete photo'] = 'obriši fotografiju';
+$lang['display'] = 'prikaži';
+$lang['Do you want to activate anyway?'] = 'Da li želite ipak da uključite?';
+$lang['Dump Database'] = 'Obriši bazu podataka';
+$lang['Duplicates'] = 'Duplikati';
+$lang['Error on file "%s" : %s'] = 'Greška u fajlu "%s": %s';
+$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'GREŠKA: OVAJ PLAGIN NEDOSTAJE IAKO JE INSTALIRAN! DEINSTALIRAJTE GA ODMAH.';
+$lang['ERROR'] = 'GREŠKA';
+$lang['Exif extension not available, admin should disable exif use'] = 'Exif ekstenzija nije dostupna, admin bi trebalo da onemogući njeno korišćenje';
+$lang['Extensions Update'] = 'Ažuriranja ekstenzija';
+$lang['Failed to write file to disk'] = 'Nije uspelo pisanje fajla na disk';
+$lang['File upload stopped by extension'] = 'Otpremanje fajla je zaustavila ekstenzija';
+$lang['Follow Orientation'] = 'Prati orjentaciju';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Sledeći plaginovi mogu biti nekompatibilni sa novom verzijom Piwigo-a:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Sledeće teme mogu biti nekompatibilne sa novom verzijom Piwigo-a:';
+$lang['Graphics Library'] = 'Biblioteka grafika';
+$lang['Height'] = 'Visina';
+$lang['hide details'] = 'sakrij detalje';
+$lang['I decide to update anyway'] = 'Odlučio sam da ipak ažuriram';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Ako je HD nedostupna i ako je trenutna web-veličina veća od promenjene veličine, Piwigo će ukloniti HD i kreirati smanjenu web-veličinu fotografije.';
+$lang['Ignore All'] = 'Ignoriši sve';
+$lang['Ignore this update'] = 'Ignoriši ovo ažuriranje';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'U Vašem php.ini fajlu upload_max_filesize(%sB) je veći od post_max_size(%sB), trebalo bi da promenite ovo podešavanje';
+$lang['include child albums'] = 'uključi podređene albume';
+$lang['Languages which need upgrade'] = 'Jezici kojima treba ažuriranje';
+$lang['Last import'] = 'Poslednji uvoz';
 ?>