Index: /extensions/lightbox/language/uk_UA/index.php
===================================================================
--- /extensions/lightbox/language/uk_UA/index.php	(revision 13502)
+++ /extensions/lightbox/language/uk_UA/index.php	(revision 13502)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/lightbox/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/lightbox/language/uk_UA/plugin.lang.php	(revision 13502)
+++ /extensions/lightbox/language/uk_UA/plugin.lang.php	(revision 13502)
@@ -0,0 +1,34 @@
+<?php
+
+$lang['lb_display'] = 'Показувати';
+$lang['lb_display_name'] = 'Показувати назву зображення';
+$lang['lb_name_link'] = 'Посилання на назву';
+$lang['lb_none'] = 'Нічого';
+$lang['lb_picture'] = 'Сторінка зображення';
+$lang['lb_high'] = 'Зображення з високою роздільною здатністю';
+
+$lang['lb_display_arrows'] = 'Показувати стрілки навігації';
+$lang['lb_all_category'] = 'Використовувати всі зображення в категорії';
+$lang['lb_yes'] = 'Так';
+$lang['lb_no'] = 'Ні';
+
+$lang['lb_theme_transition'] = 'Тема і переклад';
+$lang['lb_transition'] = 'Транзит';
+$lang['lb_theme'] = 'Тема';
+$lang['lb_transition_elastic'] = 'Гумка';
+$lang['lb_transition_fade'] = 'Блякнути';
+$lang['lb_transition_none'] = 'Нічого';
+$lang['lb_transition_speed'] = 'Швидкість транзиту';
+
+$lang['lb_dimensions'] = 'Розміри';
+$lang['lb_initial_width'] = 'Початкова ширина';
+$lang['lb_initial_height'] = 'Початкова висота';
+
+$lang['lb_fixed_width'] = 'Фіксована ширина';
+$lang['lb_fixed_height'] = 'Фіксована висота';
+
+$lang['lb_configuration_saved'] = 'Конфігурація збережена';
+$lang['lb_default_parameters'] = 'Конфігурація за замовченням';
+$lang['lb_default_parameters_saved'] = 'Конфігурацію за замовченням збережено';
+
+?>