Index: trunk/language/vi_VN/common.lang.php
===================================================================
--- trunk/language/vi_VN/common.lang.php	(revision 13068)
+++ trunk/language/vi_VN/common.lang.php	(revision 13503)
@@ -59,5 +59,5 @@
 $lang['Album'] = 'Đề mục';
 $lang['Close this window'] = 'Đóng';
-$lang['Complete RSS feed (photos, comments)'] = 'Bản RSS feed đầy đủ (gồm hình ảnh và lời bình)';
+$lang['Complete RSS feed (photos, comments)'] = 'Cung cấp bản tin RSS đầy đủ (gồm hình ảnh và lời bình)';
 $lang['Confirm Password'] = 'Xác nhận lại mật khẩu';
 $lang['Connection settings'] = 'Thiết lập cài đặt';
@@ -83,5 +83,5 @@
 $lang['Help'] = 'Trợ giúp';
 $lang['Identification'] = 'Định danh';
-$lang['Photos only RSS feed'] = 'Chỉ hiện hình ảnh trên RSS feed';
+$lang['Photos only RSS feed'] = 'Chỉ cung cấp hình ảnh trên bản tin RSS';
 $lang['Keyword'] = 'Từ khoá';
 $lang['Links'] = 'Liên kết';
@@ -112,5 +112,5 @@
 $lang['Tag'] = 'Thẻ';
 $lang['Tags'] = 'Thẻ';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'Bản thông báo RSS feed cung cấp thông báo về tin tức và cập nhật trên trang này bao gồm: hình ảnh mới, đề mục được cập nhật và lời bình mới. Hãy sử dụng trình đọc RSS Feed.';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'Bản thông báo bản tin RSS cung cấp thông báo về tin tức và cập nhật trên trang này bao gồm: hình ảnh mới, đề mục được cập nhật và lời bình mới. Hãy sử dụng trình đọc tin RSS.';
 $lang['Unknown feed identifier'] = 'Nguồn cung cấp tin không xác nhận';
 $lang['User comments'] = 'Bình luận của thành viên';
@@ -140,11 +140,11 @@
 $lang['chronology_monthly_list'] = 'Danh sách hằng tháng';
 $lang['chronology_weekly_list'] = 'Danh sách hằng tuần';
-$lang['Click here if your browser does not automatically forward you'] = 'Click vào đây nếu trình duyệt web không tự động chuyển trang';
+$lang['Click here if your browser does not automatically forward you'] = 'Nhắp chuột vào đây nếu trình duyệt web không tự động chuyển trang';
 $lang['comment date'] = 'ngày bình luận';
 $lang['Comment'] = 'Bình luận';
 $lang['Your comment has been registered'] = 'Lời bình của bạn đã được đăng ký';
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Hệ thống bảo vệ DOS: vui lòng đợi trong giây lát trước khi gởi lời bình khác';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Lời bình của bạn KHÔNG được đăng ký vì nó không đáp ứng được điều khoản xác nhận';
-$lang['An administrator must authorize your comment before it is visible.'] = 'Lời bình của bạn phải được quản trị xác nhận trước khi nó hiển thị trên gallery.';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Lời bình của bạn KHÔNG thể gửi được vì nó không đáp ứng được các điều khoản';
+$lang['An administrator must authorize your comment before it is visible.'] = 'Lời bình của bạn phải được quản trị viên xác nhận trước khi nó hiển thị trên gallery.';
 $lang['This login is already used by another user'] = 'Tài khoản đã được đăng ký trước đây';
 $lang['Comments'] = 'Lời bình';
@@ -303,7 +303,7 @@
 $lang['Repeat the slideshow'] = 'Lặp lại trình chiếu';
 $lang['Not repeat the slideshow'] = 'Không lặp lại trình chiếu';
-$lang['Reduce diaporama speed'] = 'Giảm diaporama speed';
-$lang['Accelerate diaporama speed'] = 'Tăng diaporama speed';
-$lang['Submit'] = 'Đăng ký';
+$lang['Reduce diaporama speed'] = 'Giảm tốc độ xem hình tự động';
+$lang['Accelerate diaporama speed'] = 'Tăng tốc độ xem hình tự động';
+$lang['Submit'] = 'Chấp nhận';
 $lang['Yes'] = 'Có';
 $lang['No'] = 'Không';