Index: /trunk/language/fi_FI/common.lang.php
===================================================================
--- /trunk/language/fi_FI/common.lang.php	(revision 13512)
+++ /trunk/language/fi_FI/common.lang.php	(revision 13513)
@@ -50,6 +50,6 @@
 $lang['%d new users'] = '%d uudet käyttäjät';
 $lang['About'] = 'About';
-$lang['All tags'] = 'Kaikki merkinnät';
-$lang['Any tag'] = 'Merkintä';
+$lang['All tags'] = 'Kaikki tunnisteet';
+$lang['Any tag'] = 'Tunniste';
 $lang['At least one listed rule must be satisfied.'] = 'Vähintään yksi listattu kriteeti on täytyttävä.';
 $lang['Author'] = 'Tekijä';
@@ -113,5 +113,5 @@
 $lang['guest'] = 'vieras';
 $lang['Hello'] = 'Hei';
-$lang['Home'] = 'Koti';
+$lang['Home'] = 'Etusivu';
 $lang['Search'] = 'Etsi';
 $lang['search'] = 'etsi';
@@ -125,5 +125,5 @@
 $lang['Add a comment'] = 'Lisää kommentti';
 $lang['add this photo to your favorites'] = 'lisää tämä kuva suosikkeihisi';
-$lang['Admin: %s'] = 'Admin: %s';
+$lang['Admin: %s'] = 'Ylläpitäjä: %s';
 $lang['Administration'] = 'Hallinta';
 $lang['Album results for'] = 'Albumin tulokset';
@@ -135,8 +135,8 @@
 $lang['author(s) : %s'] = 'Tekijä(t) : %s';
 $lang['Author: %s'] = 'Tekijä: %s';
-$lang['Auto login'] = 'Automaattinen sisäänkirjautuminen';
+$lang['Auto login'] = 'Muista minut';
 $lang['available for administrators only'] = 'Vain ylläpitäjille';
 $lang['Best rated'] = 'Parhaiten arvioidut';
-$lang['Browser: %s'] = 'Browser: %s';
+$lang['Browser: %s'] = 'Selain: %s';
 $lang['Calendar'] = 'Kalenteri';
 $lang['Change my password'] = 'Vaihda salasana';
@@ -144,5 +144,5 @@
 $lang['%d Kb'] = '%d Kb';
 $lang['%d photo'] = '%d kuva';
-$lang['%d photos'] = '%d kuvat';
+$lang['%d photos'] = '%d kuvaa';
 $lang['Comment'] = 'Kommentti';
 $lang['Comment: %s'] = 'Kommentti: %s';
@@ -159,5 +159,5 @@
 $lang['Favorites'] = 'Suosikit';
 $lang['Hello %s,'] = 'Hei %s,';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hei %s, Piwigo kuvagalleriasi on tyhjä';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hei %s, Piwigo kuvagalleriasi on tyhjä!';
 $lang['IP: %s'] = 'IP: %s';
 $lang['Language'] = 'Kieli';
@@ -188,5 +188,5 @@
 $lang['Previous'] = 'Edellinen';
 $lang['Profile'] = 'Profiili';
-$lang['Recent albums'] = 'Viimeisimm';
+$lang['Recent albums'] = 'Viimeisimmät albumit';
 $lang['Recent photos'] = 'Viimeisimmät kuvat';
 $lang['Registration'] = 'Rekisteröityminen';
@@ -219,5 +219,5 @@
 $lang['(!) This comment requires validation'] = '(!) Tämä kommentti vaatii hyväksynnän';
 $lang['... or browse your empty gallery'] = '...tai selaa tyhjää kuvagalleriaasi';
-$lang['... or please deactivate this message, I will find my way by myself'] = '...tai poista tämä viesti käytöstä, löydän tieni itse';
+$lang['... or please deactivate this message, I will find my way by myself'] = '...tai poista tämä viesti käytöstä, otan itse selvää';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Ylläpitäjän on hyväksyttävä kommenttisi ennen kuin se tulee näkyviin.';
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Floodauksen esto: Odota hetki ennen kuin yrität lähettää uuden kommentin';
@@ -239,8 +239,8 @@
 $lang['display a calendar by posted date'] = 'näytä kalenteri lähetyspäivän mukaan';
 $lang['display a set of random photos'] = 'näytä satunnaisia kuvia';
-$lang['display all photos in all sub-albums'] = 'näytä kaikki kuvat ali-albumeissa';
+$lang['display all photos in all sub-albums'] = 'näytä kaikki kuvat kaikista ala-albumeista';
 $lang['display available tags'] = 'näytä käytettävissä olevat tunnisteet';
 $lang['display best rated photos'] = 'näytä parhaiten arvioidut kuvat';
-$lang['display last user comments'] = 'näytä viimeisimmät käyttäjäkommentit';
+$lang['display last user comments'] = 'näytä viimeisimmät käyttäjien kommentit';
 $lang['display most recent photos'] = 'näytä viimeisimmät kuvat';
 $lang['display most visited photos'] = 'näytä eniten katsotut kuvat';
@@ -251,6 +251,6 @@
 $lang['Email address is missing. Please specify an email address.'] = 'Sähköpostiosoite puuttuu. Määritä sähköpostiosoite.';
 $lang['Email: %s'] = 'Sähköposti: %s';
-$lang['Empty query. No criteria has been entered.'] = 'Tyhjä haku. Mitään ei määritettynä.';
-$lang['End-Date'] = 'Loppupäivämäärä.';
+$lang['Empty query. No criteria has been entered.'] = 'Tyhjä haku. Mitään ei haettu.';
+$lang['End-Date'] = 'Päättymispäivä';
 $lang['Enter your new password below.'] = 'Kirjoita uusi salasanasi alapuolelle.';
 $lang['EXIF Metadata'] = 'EXIF Metatiedot';
@@ -272,5 +272,5 @@
 $lang['Maximum height must be a number superior to 50'] = 'Maksimikorkeuden tulee olla isompi kuin 50';
 $lang['Maximum width must be a number superior to 50'] = 'Maksimileveyden tulee olla isompi kuin 50';
-$lang['no rate'] = 'ei arvostelua';
+$lang['no rate'] = 'ei arvosteltu';
 $lang['Not repeat the slideshow'] = 'Ã„lä toista diaesitystä';
 $lang['Page generated in'] = 'Sivu luotu';
@@ -291,5 +291,5 @@
 $lang['Rate this photo'] = 'Arvostele tämä kuva';
 $lang['Recent period'] = 'Viimeisin ajanjakso';
-$lang['Redirection...'] = 'Uudelleenohjaa...';
+$lang['Redirection...'] = 'Uudelleenohjaus...';
 $lang['Reduce diaporama speed'] = 'Vähennä diaesityksen nopeutta';
 $lang['Register'] = 'Rekisteröidy';
@@ -304,5 +304,5 @@
 $lang['Search for words'] = 'Hae sanoja';
 $lang['Search in sub-albums'] = 'Etsi ala-albumeista';
-$lang['Send my connection settings by email'] = 'Lähetä yhteysasetukseni sähköpostilla';
+$lang['Send my connection settings by email'] = 'Lähetä yhteysasetukset sähköpostilla';
 $lang['Show file metadata'] = 'Näytä kuvan metatiedot';
 $lang['Show latest comments first'] = 'Näytä viimeisin kommentti ensin';
@@ -335,3 +335,53 @@
 $lang['Your Gallery Customization'] = 'Kuvagallerian muokkaus';
 $lang['Your username has been successfully changed to : %s'] = 'Käyttäjätunnuksesi on vaihdettu, uusi käyttäjätunnus on: %s';
+$lang['Desktop'] = 'Työpöytä';
+$lang['display each day with photos, month per month'] = 'näytä joka päivä kuvia, kuukausi kuukaudelta';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Jos tämä oli vahinko, älä huomioi viestiä niin mitään ei tapahdu.';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Jos sait tämän sähköpostin vahingossa, otathan yhteyttä %s';
+$lang['login mustn\'t end with a space character'] = 'käyttäjätunnus ei voi päättyä välilyöntiin';
+$lang['login mustn\'t start with a space character'] = 'käyttäjätunnus ei voi alkaa välilyönnillä';
+$lang['Manage this user comment: %s'] = 'Muokkaa käyttäjän kommenttia: %s';
+$lang['Mobile'] = 'Mobiili';
+$lang['N/A'] = 'N/A';
+$lang['New on %s'] = 'Uusi %s';
+$lang['photos posted during the last %d days'] = 'kuvat lisätty viimeisen %d päivän aikana';
+$lang['Photos posted within the last %d day.'] = 'Kuvat lisätty vain viimeisen %d päivän aikana.';
+$lang['Photos posted within the last %d days.'] = 'Kuvat lisätty vain viimeisten %d päivien aikana.';
+$lang['Piwigo Help'] = 'Piwigo help';
+$lang['Please, enter a login'] = 'Kirjoita käyttäjätunnuksesi';
+$lang['Post date'] = 'Lähetyspäivä';
+$lang['Powered by'] = 'Powered by';
+$lang['Quick connect'] = 'Pikayhteys';
+$lang['Rating score'] = 'Pisteet';
+$lang['Recent period must be a positive integer value'] = 'Viimeisimmän ajanjakson tulee olla positiivinen kokonaisluku';
+$lang['Registration of %s'] = '%s Rekisteröinti';
+$lang['Related tags'] = 'Samankaltaiset tunnisteet';
+$lang['Retrieve password'] = 'Palauta salasana';
+$lang['return to the display of all photos'] = 'palaa kaikkien kuvien näkymään';
+$lang['Search for all terms'] = 'Hae kaikkia sanoja';
+$lang['Search for any term'] = 'Hae mitä tahansa sanaa';
+$lang['Search rules'] = 'Hakukriteeri';
+$lang['Search tags'] = 'Haettavat tunnisteet';
+$lang['Show number of hits'] = 'Näytä osumien lukumäärä';
+$lang['show tag cloud'] = 'näytä tunnistepilvi';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Salasanan nollausta on pyytänyt käyttäjätili:';
+$lang['square'] = 'Neliö';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Rekisteröinti onnistui, saat kohta sähköpostissa yhteysasetukset. Tervetuloa käyttäjäksi!';
+$lang['Tag results for'] = 'Tunnisteen tulokset';
+$lang['Thank you for registering at %s!'] = 'Kiitos rekisteröitymisestäsi %s!';
+$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Galleria on suljettu huollon ajaksi. Tule takaisin myöhemmin.';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS-syöte tarjoaa ilmoitukset uusista tapahtumista tällä sivustolla: uudet kuvat, päivitetyt albumit ja uudet kommentit. Käytä RSS -lukijaa.';
+$lang['This login is already used by another user'] = 'Käyttäjätunnus on jo käytössä';
+$lang['this login is already used'] = 'käyttäjätunnus on jo käytössä';
+$lang['thumb'] = 'Kuvake';
+$lang['To reset your password, visit the following address:'] = 'Palauttaaksesi salasanan, mene seuraavaan osoitteeseen:';
+$lang['Unknown feed identifier'] = 'Tuntematon syötteen tunniste';
+$lang['Unknown identifier'] = 'Tuntematon tunniste';
+$lang['Update your rating'] = 'Päivitä arvostelut';
+$lang['useful when password forgotten'] = 'hyödyllinen mikäli unohdat salasanasi';
+$lang['User "%s" has no email address, password reset is not possible'] = 'Käyttäjällä "%s" ei ole sähköpostiosoitetta, salasanan palautus ei ole mahdollista';
+$lang['Username "%s" on gallery %s'] = 'Käyttäjätunnus "%s" galleriassa %s';
+$lang['You are not authorized to access the requested page'] = 'Käyttöoikeutesi ei riitä sivun avaamiseen';
+$lang['You will receive a link to create a new password via email.'] = 'Saat sähköpostiisi linkin uuden salasanan luomista varten.';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Kommenttiasi EI ole kirjattu, koska se ei läpäissyt tarkistus sääntöjä';
 ?>