Index: /trunk/language/sh_RS/admin.lang.php
===================================================================
--- /trunk/language/sh_RS/admin.lang.php	(revision 13530)
+++ /trunk/language/sh_RS/admin.lang.php	(revision 13531)
@@ -67,5 +67,4 @@
 $lang['Database'] = 'Baza podataka';
 $lang['Deactivate'] = 'Isključi';
-$lang['Delete selected tags'] = 'Izbriši odabrane oznake';
 $lang['Delete selected users'] = 'Izbriši odabrane korisnike';
 $lang['Deletions'] = 'Brisanja';
@@ -717,3 +716,133 @@
 $lang['Languages which need upgrade'] = 'Jezici kojima treba ažuriranje';
 $lang['Last import'] = 'Poslednji uvoz';
+$lang['%s photos can not be regenerated'] = '%s fotografija ne može biti regenerisano';
+$lang['%s photos have been regenerated'] = '%s fotografija je regenerisano';
+$lang['%s thumbnails can not be regenerated'] = '%s sličica ne može biti regenerisano';
+$lang['%s thumbnails have been regenerated'] = '%s sličica je regenerisano';
+$lang['A locked gallery is only visible to administrators'] = 'Zaključana galerija je vidljiva samo administratorima';
+$lang['administrators'] = 'administratori';
+$lang['Applications'] = 'Aplikacije';
+$lang['apply automatic sort order'] = 'primeni automatski poredak';
+$lang['Automatic sort order'] = 'Automatski poredak';
+$lang['Batch Manager'] = 'Menadžer automatizma';
+$lang['cancel manual order'] = 'poništi ručni poredak';
+$lang['Cancel'] = 'Odustani';
+$lang['Center of interest'] = 'Interesno središte';
+$lang['Delete Representant'] = 'Obriši ikonice albuma';
+$lang['Gallery unlocked'] = 'Galerija otključana';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Uključi istoriju podataka (Upozorenje: može se premašiti limit memorije na serveru)';
+$lang['Learn more'] = 'Nauči više';
+$lang['List'] = 'Lista';
+$lang['Manage Permissions'] = 'Uredi dozvole';
+$lang['manual order'] = 'ručni poredak';
+$lang['Maximum file size: %sB.'] = 'Maksimalna veličina fajla: %sB.';
+$lang['Merge selected tags'] = 'Spoj odabrane oznake';
+$lang['Merge tags'] = 'Spoj oznake';
+$lang['Missing a temporary folder'] = 'Nedostaje privremeni direktorijum';
+$lang['modified'] = 'izmenjen';
+$lang['Move to album'] = 'Premesti u album';
+$lang['New Version'] = 'Nova verzija';
+$lang['new'] = 'novo';
+$lang['No destination tag selected'] = 'Nije odabrana odredišna oznaka';
+$lang['No file was uploaded'] = 'Nije poslat ni jedan fajl';
+$lang['No photo in the current set.'] = 'Nema fotografija u trenutnom skupu';
+$lang['No photo selected, %d photos in current set'] = 'Nema odabranih fotografija, %d fotografija u trenutnom skupu';
+$lang['No photo selected, no action possible.'] = 'Nema odabranih fotografija, nema dozvoljenih akcija';
+$lang['No results'] = 'Nema rezultata';
+$lang['Not cropped correctly?'] = 'Pogrešno isečeno?';
+$lang['Notify administrators when a comment is'] = 'Obavesti administratore kada je komentar';
+$lang['Obsolete Plugins'] = 'Zastareli plagin';
+$lang['on the %d selected photos'] = 'od %d odabranih fotografija';
+$lang['Original Size'] = 'Originalna veličina';
+$lang['Orphan tags deleted'] = 'Napuštena oznaka obrisana';
+$lang['Pending Comments'] = 'Komentari na čekanju';
+$lang['pending validation'] = 'čeka validaciju';
+$lang['Photo %s of %s'] = 'Fotografija %s od %s';
+$lang['Photo name'] = 'Naziv fotografije';
+$lang['Photos generation in progress...'] = 'Generisanje fotografija...';
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo ne može preuzeti nadogradnju sa servera';
+$lang['Piwigo Update'] = 'Piwigo nadogradnja';
+$lang['Predefined filter'] = 'Predefinisani filter';
+$lang['Rate'] = 'Ocena';
+$lang['Refresh photo set'] = 'Osveži skup fotografija';
+$lang['Regenerate Thumbnails'] = 'Regeneriši sličice';
+$lang['Regenerate Websize Photos'] = 'Regeneriši fotografije veličina za web';
+$lang['registered users'] = 'registrovani korisnici';
+$lang['Remove all filters'] = 'Ukloni sve filtere';
+$lang['remove author'] = 'ukloni autora';
+$lang['remove creation date'] = 'ukloni datum kreiranja';
+$lang['Remove from caddie'] = 'Ukloni iz fioke';
+$lang['remove this filter'] = 'ukloni ovaj filter';
+$lang['remove title'] = 'ukloni naslov';
+$lang['Reset ignored updates'] = 'Resetuj ignorisane nadogradnje';
+$lang['Resize after upload'] = 'Promeni veličinu posle slanja';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Vrati podrazumevana podešavanja. Izgubićete podešavanja plaginova!';
+$lang['Restore'] = 'Vrati';
+$lang['Save manual order'] = 'Sačuvaj ručni poredak';
+$lang['Save Template Directory'] = 'Sačuvaj privremeni direktorijum';
+$lang['Save visits in history for'] = 'Sačuvaj posete u istoriji za ';
+$lang['Searching...'] = 'Traženje...';
+$lang['Select an album'] = 'Izaberite album';
+$lang['Select at least two tags for merging'] = 'Odaberite najmanje dve oznake za spajanje';
+$lang['Select the destination tag'] = 'Odaberite odredišnu oznaku';
+$lang['Selection'] = 'Odabir';
+$lang['Send connection settings by email'] = 'Pošalji podešavanja veze mejlom';
+$lang['Set author'] = 'Postavi autora';
+$lang['Set creation date'] = 'Postavi datum kreiranja';
+$lang['Set title'] = 'Postavi naslov';
+$lang['show details'] = 'prikaži detalje';
+$lang['Show menubar'] = 'Prikaži meni bar';
+$lang['simple visitors'] = 'obični posetioci';
+$lang['Some themes and plugins may be not available yet.'] = 'Neke teme i plaginovi neće biti dostupni odmah.';
+$lang['Some upgrades are available for extensions.'] = 'Neke nadogradnje su dostupne za proširenja.';
+$lang['Start Upload'] = 'Počni slanje';
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Oznake  <em>%s</em> spojene u oznaku <em>%s</em>';
+$lang['The original image quality must be a number between %d and %d'] = 'Kvalitet originalne slike mora biti broj između %d i %d';
+$lang['The original maximum height must be a number between %d and %d'] = 'Visina originalne slike mora biti broj između %d i %d';
+$lang['The original maximum width must be a number between %d and %d'] = 'Širina originalne slike mora biti broj između %d i %d';
+$lang['The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form'] = 'Poslati fajl prelazi MAX_FILE_SIZE direktivu koja je specificirana u HTML formi';
+$lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'Poslati fajl prelazi upload_max_filesize direktivu u php.ini: %sB';
+$lang['The uploaded file was only partially uploaded'] = 'Poslati fajl je nije kompletan';
+$lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'Poslati fajlovi prelaze post_max_size direktivu u php.ini: %sB';
+$lang['The whole page'] = 'Kompletna strana';
+$lang['The whole set'] = 'Kompletan skup';
+$lang['Themes which need upgrade'] = 'Theme koje je potrebno nadograditi';
+$lang['This album contains %d photos, added between %s and %s.'] = 'Ovaj album sadrži %d fotografija, dadatih od %s do %s.';
+$lang['This album contains %d photos, added on %s.'] = 'Ovaj album sadrži %d fotografija, dodatih %s.';
+$lang['This album contains no photo.'] = 'Ovaj album ne sadrži fotografije.';
+$lang['This is a major update, with <a href="%s">new exciting features</a>.'] = 'Ovo je bitna nadogradnja, sa <a href="%s"> novim mogućnostima</a>.';
+$lang['This is a minor update, with only bug corrections.'] = 'Ovo je manja nadogradnja, sa ispravkama bagova.';
+$lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = 'OVAJ PLAGIN JE SADA DEO PIWIGO JEZGRA! OBRIŠITE GA SADA!';
+$lang['This theme was not designed to be directly activated'] = 'Ova tema nije dizajnirana da bude direktno aktivirana';
+$lang['Thumbnails generation in progress...'] = 'Generisanje sličica...';
+$lang['Two updates are available'] = 'Dve nadogradnje su dostupne';
+$lang['Type here the author name'] = 'Unesite ime autora';
+$lang['Type here the title'] = 'Unesite naslov';
+$lang['Type in a search term'] = 'Unesite pojam za pretragu';
+$lang['Unable to dump database.'] = 'Neuspelo brisanje baze.';
+$lang['Unknown upload error'] = 'Nepoznata greška slanja';
+$lang['Unlock gallery'] = 'Otključaj galeriju';
+$lang['Update All'] = 'Nadogradi sve';
+$lang['Update Complete'] = 'Nadogradnja završena';
+$lang['Update in progress... Please wait.'] = 'Nadogradnja... Molimo sačekajte.';
+$lang['Update to Piwigo %s'] = 'Nadogradnja Piwiga %s';
+$lang['Updates'] = 'Nadogradnje';
+$lang['Visit language site'] = 'Poseti sajt jezika';
+$lang['Visit theme site'] = 'Poseti sajt tema';
+$lang['WARNING! This plugin does not seem to be compatible with this version of Piwigo.'] = 'UPOZORENJE! Ovaj plagin nije kompatibilan sa trenutnom verzijom Piwiga';
+$lang['Web Form'] = 'Web forma';
+$lang['Week starts on'] = 'Dan kada počinje sedmica:';
+$lang['Who can see this photo?'] = 'Ko može videti fotografiju?';
+$lang['Width'] = 'Širina';
+$lang['With no album'] = 'Bez albuma';
+$lang['With no tag'] = 'Bez oznake';
+$lang['With no virtual album'] = 'Bez virtuelnog albuma';
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Koristite slanje iz brauzera. Probajte <a href="%s">slanje iz Flash-a</a>.';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Koristite slanje iz Flash-a. Imate problem? Probajte <a href="%s">slanje iz brauzera</a>.';
+$lang['You can activate only one mobile theme.'] = 'Možete aktivirati samo jednu pokretnu temu.';
+$lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Možete nadograditi Piwigo %s direktno, bez nadogradnji na Piwigo %s (preporučeno).';
+$lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'Ne možete postaviti podrazumevani poredak fotografija jer je drugačije podešeno u vašem lokalnom podešavanju.';
+$lang['You have %d orphan tags: %s.'] = 'Imate %d napuštenih oznaka: %s.';
+$lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Označili ste  <i>$conf[\'order_by\']</i> u svom lokalnom podešavanju, ovaj parametar je zastareo, molimo uklonite ga ili ga preimenujte u <i>$conf[\'order_by_custom\']</i>!';
+$lang['Zoom'] = 'Uvećaj';
 ?>