Index: trunk/language/nl_NL/admin.lang.php
===================================================================
--- trunk/language/nl_NL/admin.lang.php	(revision 13537)
+++ trunk/language/nl_NL/admin.lang.php	(revision 13538)
@@ -297,10 +297,5 @@
 $lang['registration date'] = 'Registratiedatum';
 $lang['clean'] = 'opschonen';
-$lang['remove remote listing.xml file'] = 'verwijder remote listing.xml bestand';
-$lang['generate listing'] = 'genereer lijsten';
-$lang['generate file listing.xml on remote site'] = 'genereer bestand listing.xml op remote site';
 $lang['Create this site'] = 'maak deze site';
-$lang['A local listing.xml file has been found for'] = 'Een lokale listing.xml bestand is gevonden voor ';
-$lang['read local listing.xml and update'] = 'lees locale listing.xml en werk bij';
 $lang['test'] = 'test';
 $lang['test this remote site'] = 'test deze remote site';
@@ -316,5 +311,4 @@
 $lang['delete this site and all its attached elements'] = 'Verwijder de site en alle bijbehorende afbeeldingen';
 $lang['an error happened'] = 'er heeft zich een fout voorgedaan';
-$lang['file create_listing_file.php on remote site was not found'] = 'Bestand create_listing_file.php werd niet op de remote site gevonden';
 $lang['Local'] = 'Lokaal';
 $lang['Remote'] = 'Remote';
@@ -354,15 +348,8 @@
 $lang['Choose an option'] = 'Kies een optie';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'toon maximale informatie (toegevoegde categorieën en afbeeldingen, verwijderde categorieën en afbeeldingen)';
-$lang['Piwigo version differs on the remote site'] = 'Piwigo versie verschilt op de remote site';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Versie van create_listing_file.php op de remote site en Piwigo moeten gelijk zijn';
-$lang['listing.xml file was not found'] = 'listing.xml file is niet gevonden';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'listing.xml file is niet gevonden op de remote site. Het bestand word gegenereerd door het commando "genereer listing" in de Site manager';
 $lang['Error list'] = 'Foutenlijst';
 $lang['Errors caption'] = 'Foutmeldingen afvangen';
 $lang['Detailed informations'] = 'Gedetailleerde informatie';
 $lang['File/directory read error'] = 'Bestand/map lees fout';
-$lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Het bestand of map kan niet worden benaderd (of het bestand of map bestaat niet of heeft geen rechten)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Een afbeelding heeft een mini-afbeelding nodig. De mini-afbeelding moet in de subdirectorie "thumbnail" van de betreffende categorie aanwezig zijn. De mini-afbeelding moet starten met het in de configuratie opgegeven voorvoegsel (prefix) en mag alleen een extentie bevatten die voorkomt in de volgende lijst:';
-$lang['missing thumbnail'] = 'ontbrekende mini-afbeelding';
 $lang['albums deleted in the database'] = 'categorieën verwijderd uit de database';
 $lang['photos deleted from the database'] = 'afbeeldingen verwijderd uit de database';
@@ -844,3 +831,7 @@
 $lang['This album contains %d photos, added between %s and %s.'] = 'Dit album bevat %d foto\'s, toegevoegd tussen %s en %s.';
 $lang['This album contains no photo.'] = 'Dit album bevat geen foto\'s.';
+$lang['Not cropped correctly?'] = 'Niet goed bijgesneden?';
+$lang['Center of interest'] = 'Middelpunt van belangstelling';
+$lang['Move to album'] = 'Verplaats naar album';
+$lang['You can activate only one mobile theme.'] = 'U kunt slechts een mobiel thema activeren.';
 ?>
Index: trunk/language/nl_NL/common.lang.php
===================================================================
--- trunk/language/nl_NL/common.lang.php	(revision 13537)
+++ trunk/language/nl_NL/common.lang.php	(revision 13538)
@@ -364,5 +364,4 @@
 $lang['IPTC Metadata'] = 'IPTC Metagegevens';
 $lang['Edit'] = 'Bewerk';
-
 $lang['large'] = 'groot';
 $lang['medium'] = 'middel';
@@ -383,3 +382,9 @@
 $lang['Username: %s'] = 'Gebruikersnaam %s';
 $lang['Your username has been successfully changed to : %s'] = 'Uw gebruikersnaam is succesvol gewijzigd in: %s';
+$lang['Show oldest comments first'] = 'Toon oudste berichten eerst';
+$lang['Show latest comments first'] = 'Toon nieuwste berichten eerst';
+$lang['Photo sizes'] = 'Foto groottes';
+$lang['View in'] = 'Bekijk in';
+$lang['Mobile'] = 'Mobiel';
+$lang['Desktop'] = 'Bureaublad';
 ?>
Index: trunk/language/nl_NL/install.lang.php
===================================================================
--- trunk/language/nl_NL/install.lang.php	(revision 13537)
+++ trunk/language/nl_NL/install.lang.php	(revision 13538)
@@ -69,3 +69,5 @@
 $lang['Just another Piwigo gallery'] = 'Alweer een Piwigo gallerie';
 $lang['Welcome to my photo gallery'] = 'Welkom bij mijn foto gallerie';
+$lang['Welcome to your new installation of Piwigo!'] = 'Welkom bij uw nieuwe installatie van Piwigo!';
+$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Aarzel niet om onze forum\'s te raadplegen voor hulp: %s';
 ?>