Index: /trunk/admin/themes/default/template/photos_add_applications.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_applications.tpl	(revision 13542)
+++ /trunk/admin/themes/default/template/photos_add_applications.tpl	(revision 13543)
@@ -24,5 +24,5 @@
 <p>{'pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'|@translate}</p>
 
-<p>Available versions for
+<p>{'Available versions for'|@translate}
 <a href="{$URL_DOWNLOAD_WINDOWS}">Windows</a>,
 <a href="{$URL_DOWNLOAD_MAC}">Mac</a>,
@@ -33,12 +33,20 @@
 
 <fieldset>
-  <legend>Piwigo Mobile</legend>
-
-<div class="illustration"><a href="http://piwigo.com/blog/wp-content/uploads/2011/10/piwigo-ios-iphone-ipad.jpg" title="Piwigo Mobile for iOS and Android"><img src="http://piwigo.com/blog/wp-content/uploads/2011/10/piwigo-ios-iphone-ipad.jpg" style="width:150px"></a></div>
-<p>{'<em>Piwigo Mobile</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or Android, create some albums and upload several photos at once.'|@translate}</p>
+  <legend>{'Piwigo for iOS (iPhone, iPad, iPod Touch)'|@translate}</legend>
+<div class="illustration"><a href="http://piwigo.com/blog/wp-content/uploads/2011/10/piwigo-ios-iphone-ipad.jpg" title="{'Piwigo for iOS (iPhone, iPad, iPod Touch)'|@translate}"><img src="http://piwigo.com/blog/wp-content/uploads/2011/10/piwigo-ios-iphone-ipad.jpg" style="width:150px"></a></div>
+<p>{'<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'|@translate}</p>
 
 <p>
-Available on <a target="_blank" href="http://itunes.apple.com/us/app/piwigo/id472225196">Apple AppStore</a>
-and <a target="_blank" href="https://market.android.com/details?id=org.piwigo">Android market</a>
+{'Available on'|@translate} <a target="_blank" href="http://itunes.apple.com/us/app/piwigo/id472225196">Apple AppStore</a>
+</p>
+</fieldset>
+
+<fieldset>
+  <legend>{'Piwigo for Android'|@translate}</legend>
+<div class="illustration"><a href="http://piwigo.com/blog/wp-content/uploads/2011/10/piwigo-ios-iphone-ipad.jpg" title="{'Piwigo for Android'|@translate}"><img src="http://piwigo.com/blog/wp-content/uploads/2011/10/piwigo-ios-iphone-ipad.jpg" style="width:150px"></a></div>
+<p>{'<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'|@translate}</p>
+
+<p>
+{'Available on'|@translate} <a target="_blank" href="https://play.google.com/store/apps/details?id=org.piwigo">Google Play</a>
 </p>
 </fieldset>
@@ -47,9 +55,12 @@
   <legend>Lightroom</legend>
 
-<div class="illustration"><a href="http://alloyphoto.com/images/piwigo/dialog.png" title="Piwigo Publish plugin for Lightroom"><img src="http://alloyphoto.com/images/piwigo/dialog.png" style="width:150px"></a></div>
-<p>Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work. The Piwigo publish Plug-in allows you to export photos from Lightroom directly to your Piwigo photo gallery.</p>
+<div class="illustration"><a href="http://alloyphoto.com/images/piwigo/dialog.png" title="{'Piwigo Publish plugin for Lightroom'|@translate}"><img src="http://alloyphoto.com/images/piwigo/dialog.png" style="width:150px"></a></div>
+<p>
+{'Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'|@translate}
+{'The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'|@translate}
+</p>
 
 <p>
-Details and download on <a target="_blank" href="http://alloyphoto.com/plugins/piwigo/">alloyphoto.com</a>
+{'Available on'|@translate} <a target="_blank" href="http://alloyphoto.com/plugins/piwigo/">alloyphoto.com</a>
 </p>
 </fieldset>
@@ -58,16 +69,25 @@
   <legend>Shotwell</legend>
 
-<div class="illustration"><a href="http://piwigo.files.wordpress.com/2010/11/shotwell_002.png" title="Piwigo publish plugin for Shotwell"><img src="http://piwigo.files.wordpress.com/2010/11/shotwell_002.png?w=150"></a></div>
-<p><a href="http://yorba.org/shotwell/" target="_blank">Shotwell</a> is a digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.</p>
+<div class="illustration"><a href="http://piwigo.files.wordpress.com/2010/11/shotwell_002.png" title="{'Piwigo publish plugin for Shotwell'|@translate}"><img src="http://piwigo.files.wordpress.com/2010/11/shotwell_002.png?w=150"></a></div>
+<p>{'Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'|@translate}</p>
 
-<p>On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.</p>
+<p>
+{'On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'|@translate}
+<a href="http://yorba.org/shotwell/" target="_blank">{'Learn more'|@translate}</a>
+</p>
 </fieldset>
 
 <fieldset>
   <legend>digiKam</legend>
-<div class="illustration"><a href="http://fr.piwigo.org/forum/showimage.php?pid=133064&filename=digikam2piwigo-01.png" title="Piwigo publish plugin for digiKam"><img src="http://fr.piwigo.org/forum/showimage.php?pid=133064&filename=digikam2piwigo-01.png" style="width:150px"></a></div>
-<p><a href="http://digikam.org/" target="_blank">digiKam</a> is an advanced digital photo management application for Linux, Windows, and Mac-OSX.</p>
+<div class="illustration"><a href="http://fr.piwigo.org/forum/showimage.php?pid=133064&filename=digikam2piwigo-01.png" title="{'Piwigo publish plugin for digiKam'|@translate}"><img src="http://fr.piwigo.org/forum/showimage.php?pid=133064&filename=digikam2piwigo-01.png" style="width:150px"></a></div>
+<p>
+{'digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'|@translate}
+{'digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'|@translate}
+</p>
 
-<p>To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.</p>
+<p>
+{'To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'|@translate}
+<a href="http://digikam.org/" target="_blank">{'Learn more'|@translate}</a>
+</p>
 </fieldset>
 
@@ -75,9 +95,9 @@
   <legend>iPhoto</legend>
 
-<div class="illustration"><a href="http://piwigo.org/forum/showimage.php?pid=126856&filename=iphoto-to-piwigo.jpg" title="Piwigo export plugin for iPhoto"><img src="http://piwigo.org/forum/showimage.php?pid=126856&filename=iphoto-to-piwigo.jpg" style="width:150px"></a></div>
-<p>iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.</p>
+<div class="illustration"><a href="http://piwigo.org/forum/showimage.php?pid=126856&filename=iphoto-to-piwigo.jpg" title="{'Piwigo export plugin for iPhoto'|@translate}"><img src="http://piwigo.org/forum/showimage.php?pid=126856&filename=iphoto-to-piwigo.jpg" style="width:150px"></a></div>
+<p>{'iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'|@translate}</p>
 
 <p>
-<a target="_blank" href="http://piwigo.org/ext/extension_view.php?eid=592">Details and download</a>
+<a target="_blank" href="http://piwigo.org/ext/extension_view.php?eid=592">{'Learn more'|@translate}</a>
 </p>
 </fieldset>
@@ -86,9 +106,13 @@
   <legend>Aperture</legend>
 
-<div class="illustration"><a href="http://piwigo.org/ext/upload/extension-598/screenshot.jpg" title="Piwigo export plugin for Aperture"><img src="http://piwigo.org/ext/upload/extension-598/thumbnail.jpg" style="width:150px"></a></div>
-<p>Aperture is a powerful tool to refine images and manage massive libraries on your Mac. It's pro performance with iPhoto simplicity. The Piwigo export plugin allows you to create albums and export photos.</p>
+<div class="illustration"><a href="http://piwigo.org/ext/upload/extension-598/screenshot.jpg" title="{'Piwigo export plugin for Aperture'|@translate}"><img src="http://piwigo.org/ext/upload/extension-598/thumbnail.jpg" style="width:150px"></a></div>
+<p>
+{'Aperture is a powerful tool to refine images and manage massive libraries on Mac.'|@translate}
+{'Aperture is designed for professional photographers with iPhoto simplicity.'|@translate}
+{'The Piwigo export plugin allows you to create albums and export photos.'|@translate}
+</p>
 
 <p>
-<a target="_blank" href="http://piwigo.org/ext/extension_view.php?eid=598">Details and download</a>
+<a target="_blank" href="http://piwigo.org/ext/extension_view.php?eid=598">{'Learn more'|@translate}</a>
 </p>
 </fieldset>
@@ -98,8 +122,11 @@
 
 <div class="illustration"><a href="http://piwigo.org/screenshots/regalandroid.png" title="ReGalAndroid"><img src="http://piwigo.org/screenshots/regalandroid.png" style="width:150px"></a></div>
-<p>ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform. Features include gallery browsing, album creation and photo upload.</p>
+<p>
+{'ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'|@translate}
+{'Features include gallery browsing, album creation and photo upload.'|@translate}
+</p>
 
 <p>
-Details and download on <a target="_blank" href="http://market.android.com/details?id=net.dahanne.android.regalandroid">Android Market</a>
+{'Available on'|@translate} <a target="_blank" href="https://play.google.com/store/apps/details?id=net.dahanne.android.regalandroid">Google Play</a>
 </p>
 </fieldset>
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 13542)
+++ /trunk/language/en_UK/admin.lang.php	(revision 13543)
@@ -843,3 +843,27 @@
 $lang['Web Form'] = 'Web Form';
 $lang['Applications'] = 'Applications';
+$lang['Available versions for'] = 'Available versions for';
+$lang['Available on'] = 'Available on';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo for iOS (iPhone, iPad, iPod Touch)';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.';
+$lang['Piwigo for Android'] = 'Piwigo for Android';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo Publish plugin for Lightroom';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.';
+$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo publish plugin for Shotwell';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo publish plugin for digiKam';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.';
+$lang['Piwigo export plugin for iPhoto'] = 'Piwigo export plugin for iPhoto';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.';
+$lang['Piwigo export plugin for Aperture'] = 'Piwigo export plugin for Aperture';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture is a powerful tool to refine images and manage massive libraries on Mac.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture is designed for professional photographers with iPhoto simplicity.';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'The Piwigo export plugin allows you to create albums and export photos.';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Features include gallery browsing, album creation and photo upload.';
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 13542)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 13543)
@@ -856,3 +856,27 @@
 $lang['Web Form'] = 'Formulaire web';
 $lang['Applications'] = 'Applications';
+$lang['Available versions for'] = 'Versions disponibles pour';
+$lang['Available on'] = 'Disponible sur';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo pour iOS (iPhone, iPad, iPod Touch)';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'L\'application <em>Piwigo pour iOS</em> vous permet de connecter votre iPhone, iPad ou iPod Touch à votre galerie Piwigo pour y créer des albums et envoyer plusieurs photos à la fois.';
+$lang['Piwigo for Android'] = 'Piwigo pour Android';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = 'L\'application <em>Piwigo pour Android</em> vous permet de connecter votre smartphone ou votre tablette Android à votre galerie Piwigo pour y créer des albums et envoyer plusieurs photos à la fois.';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Plugin de publication Piwigo pour Lightroom';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom est un logiciel de photographie conçu pour gérer d\'importantes collections de photos numériques et les post-traiter.';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Le plugin de publication Piwigo pour Lightroom vous permet d\'exporter et synchroniser vos photos de Lightroom vers votre galerie Piwigo.';
+$lang['Piwigo publish plugin for Shotwell'] = 'Plugin de publication Piwigo pour Shotwell';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell est un gestionnaire de photos opensource pour Linux. Il a été sélectionné comme gestionnaire par défaut sur Ubuntu et Fedora.';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Sur votre Linux, installez simplement Shotwell avec votre gestionnaire de paquet et activez l\'option de publication Piwigo.';
+$lang['Piwigo publish plugin for digiKam'] = 'Plugin de publication Piwigo pour digiKam';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam est un logiciel libre de gestion avancée de photos numériques pour Linux, Windows et MacOSX.';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam est conçu pour les photographes qui souhaitent visualiser, gérer, éditer, améliorer, organiser, tagger et partager leurs photos.';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Pour exporter vos photos de digiKam vers Piwigo, installez simplement digiKam et les kipi-plugins.';
+$lang['Piwigo export plugin for iPhoto'] = 'Plugin d\'export Piwigo export pour iPhoto';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto est le gestionnaire de photos disponible par défaut sur MacOSX. Le plugin d\'export Piwigo se connecter à votre galerie Piwigo et vous permet de créer des albums et d\'y ajouter vos photos.';
+$lang['Piwigo export plugin for Aperture'] = 'Plugin d\'export Piwigo pour Aperture';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture est un outil puissant pour post-traiter vos photos et gérer votre photothèque sur Mac.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture est conçu pour les photographes professionnels avec la simplicité d\'iPhoto.';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Le plugin d\'export Piwigo vous permet de créer des albums et d\'y ajouter vos photos.';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery Android) est un client libre (GPL v3) pour Piwigo sur Android.';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Ses fonctionnalités incluent la navigation sur la galerie, la création d\'albums et l\'ajout de photos.';
 ?>